﻿<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

define('GESTOR', "Gestor");
define('ADMINISTRADOR', "Administrador");


define('INSERT_DATOS_PERSONALES',1);
define('UPDATE_DATOS_PERSONALES',2);

class Solicitantedatospersonales extends CI_Controller {
   
	var $gestormode=false;
    var $databreadcrumb=array();
	var $bloqueado=false;
	
	var $anoacademico=false;
	var $convocatoria=false;	
	
	public function __construct()
	{
		parent::__construct();
		
		$this->load->library('form_validation');
		$this->load->model('datospersonales_model');
		$this->load->model('datosacademicos_model');
        $this->load->model('historico_model');		
		$this->load->model('persona');		
		
		
		$this->load->model('progreso_solicitud_model');
		$this->lang->load('gestor');		
		
		log_message('debug',"auth_rol_nombre:".$this->session->userdata('auth_rol_nombre'));
		if ($this->session->userdata('auth_rol_nombre')!=null){
		
			$this->anoacademico= $this->config->item('anoacademico');
			$this->convocatoria= $this->config->item('convocatoria'); 
			//si está puesto en session entonces pongo los de session
			if ($this->session->userdata('anoacademico')!=null){
				log_message('debug',"puesto el anoacademico:".$this->session->userdata('anoacademico'));
				$this->anoacademico=$this->session->userdata('anoacademico');
			}
			
			if ($this->session->userdata('convocatoria')!=null){
				log_message('debug',"puesta la convocatoria:".$this->session->userdata('convocatoria'));
				$this->convocatoria=$this->session->userdata('convocatoria');
			}
			
			
			
			if ($this->uri->segment(2)=="idioma"){
					$user=array('idioma'=>$this->uri->segment(3));
					$this->session->set_userdata($user);
			} 
			
			
			if ($this->session->userdata('auth_rol_nombre')==GESTOR || $this->session->userdata('auth_rol_nombre')==ADMINISTRADOR){
				log_message('debug',">>>>>>>>>>>>>>>>essseeee::".$this->uri->segment(3)."__".$this->uri->segment(4));
				$breadcrumb = array(
					lang('ges_inicio') => site_url('gestor/index'),
					lang('ges_listSolicitudes') =>  site_url('gestor/solicitudes'),
					lang('ges_datosPersonales')  => 	''
				);
				
				$this->databreadcrumb['breadcrumb']=$breadcrumb;
				
				$this->gestormode=true;
				if ($this->uri->segment(3)=="uid"){
					$user=array('uid'=>$this->uri->segment(4));
					//log_message('debug',uid);
					$this->session->set_userdata($user);
				
				}
							
				if ($this->uri->segment(5)=="tipoDocumento"){				
					$tipo=array('tipo_documento'=>$this->uri->segment(6));	
					$this->session->set_userdata($tipo);	
					$this->session->unset_userdata('nombre');
					$this->session->unset_userdata('ape1');
					$this->session->unset_userdata('ape2');
				}
				
				
				if ($this->uri->segment(5)=="plan"){
					
					$plan=array('gestor_plan'=>$this->uri->segment(6));	
					$this->session->set_userdata($plan);	
				}
				
				$plan=$this->session->userdata('gestor_plan');
				//si tengo en session el valor de un plan meto la miga apropiada para el gestor
				if (!empty($plan)){
					$plan=$this->session->userdata('gestor_plan');				
				
					$breadcrumb = array(
						lang('ges_inicio') => site_url('gestor/index'),
						lang('ges_listaMaster') =>  site_url('gestor/selectMaster'),
						lang('ges_master')." ".$plan => site_url('coordinador/listarPreinscripciones')."/".$plan,
						lang('ges_datosPersonales') => 	''
					);
					
					$this->databreadcrumb['breadcrumb']=$breadcrumb;
				}
			}
			
			
			//validacion para que si esta bloqueado no pueda acceder a datos personales desde la url				
			$bloqueo['bloqueo']=$this->datosacademicos_model->getBloqueo($this->anoacademico,$this->convocatoria,$this->session->userdata('uid')); 						   
			if ($bloqueo['bloqueo']-> NIVEL_BLOQUEO == 1 and $this->session->userdata('auth_rol_nombre')!=GESTOR and
				$this->session->userdata('auth_rol_nombre')!=ADMINISTRADOR) {
				 log_message('info',"ACCESO NO AUTORIZADO - PREINSCRIPCION BLOQUEADA - SE DESTRUYE SESION:".$this->session->userdata('uid'));
				 $this->session->sess_destroy();			
			}			
		
		}
		
	    /* pruebas*/
		/*$this->output->enable_profiler(TRUE);
		$sections = array(
			'config'  => TRUE,
			'queries' => TRUE
		);*/
		/*fin pruebas*/
		
	}
	



	public function index()
	{
	   
			$data['titulo']= lang('soli_inicio');
			if ($this->gestormode) {
				$this->load->view('header_gestor_view.php',$data);
				$this->load->view('breadcrumb_view.php',$this->databreadcrumb);
			}else{			
				$this->load->view('header_solicitante_view',$data);
			}
			
			$this->load->view('landing_solicitante_view.php');
			$this->load->view('footer_view.php');

	}
	

    /**
	* cambiar idioma 
	*/
	public function idioma($lang){		
		$this->index();
	}
	
	
	public function datospersonales()
	{

		log_message('debug',"entro en datos personales");
		
		//obtengo lista de paises para nacionalidad
		$data['listaPaises']=$this->datospersonales_model->listarPaises();		
		
		//obtengo lista de paises habitual
		$data['listaPaisesh']=$this->datospersonales_model->listarPaises();
		
		//obtengo lista de provincias		       			    
		$data['listaProvincias']=$this->datospersonales_model->listarProvincias();
		
		//obtengo lista de paises nacimiento
		$data['listaPaisesn']=$this->datospersonales_model->listarPaises();
		
		//compruebo si el usuario ya ha realizado antes una preinscripcion o es nuevo
		$nuevo=$this->datospersonales_model->existeSolicitante($this->session->userdata('uid'),$this->anoacademico,$this->convocatoria);
		if ($nuevo ==false) // solicitante nuevo
		{

				log_message('debug',"Solicitante nuevo");	
				//guardo  una variable para saber que es solicitante nuevo
				$data['nuevo'] = 'S';
					
				//compruebo si el usuario es de la Uva o no
				$alumnouva=$this->datospersonales_model->alumnoUva($this->session->userdata('uid'));
				if ($alumnouva ==false) // alumno NO uva
				{
					log_message('debug',"Solicitante alumno NO Uva");	
					//guardo  una variable para saber que si el solicitante nuevo es de la uva o no
					$data['uva'] = 'N';					
									
					//no es de la Uva --> busco -> datos basicos del ldap									
					$persona=new persona();			
					$persona->DNI_PASAPORTE=$this->session->userdata('uid');
					$persona->NOMB_ALUMNO= $this->session->userdata('nombre');
					$persona->APE1_ALUMNO=$this->session->userdata('ape1');
					$persona->APE2_ALUMNO=$this->session->userdata('ape2');
					$persona->TIPO_DOCUMENTO=$this->session->userdata('tipo_documento');
				
					$data['datosPersonales'] = $persona;
									
				}
				else
				{ 
					// alumno uva
					log_message('debug',"Solicitante alumno Uva");	
					//guardo una variable para saber que si el solicitante nuevo es de la uva o no
					$data['uva'] = 'S';					
					
					//obtengo datos de la tabla de personas_actual
					$data['datosPersonales']= $this->datospersonales_model-> getdatosUva($this->session->userdata('uid'));
					
					//obtengo lista de localidades habitual dada la provincia del alumno uva
					$id =$data['datosPersonales']->PROVINCIA_HABIT;
					$data['listaLocalidadesh'] = $this->datospersonales_model->localidades($id);
					
					//obtengo lista de codigos postales habitual dada la provincia y localidad del alumno uva
					$loc = $data['datosPersonales']-> LOCALIDAD1_HABIT;
					$data['listaCodigosPostalesh']=$this->datospersonales_model->codigosPostales($id,$loc);
			
					//obtengo lista de localidades nacimiento dada la provincia del alumno una
					$idn = $data['datosPersonales']->PROVINCIA_NACIM;
					$data['listaLocalidadesn'] = $this->datospersonales_model->localidades($idn);
					
					//obtengo lista de codigos postales nacimiento dada la provincia y localidad del alumno uva
					$locn = $data['datosPersonales']-> LOCALIDAD1_NACIM;
					$data['listaCodigosPostalesn']=$this->datospersonales_model->codigosPostales($idn,$locn);
	
				}
						
		}
		else // solicitante antiguo
		{
			log_message('debug',"Solicitante antiguo");	
			//guardo una variable para saber que no es solicitante nuevo
			$data['nuevo'] = 'N';
					
			//compruebo si el usuario es de la Uva o no
			$alumnouva=$this->datospersonales_model->alumnoUva($this->session->userdata('uid'));
			if ($alumnouva ==false) // alumno NO uva
			{
				 $data['uva'] = 'N';
			}
			else
			{
				$data['uva'] = 'S';
			}
				
			// busco en tabla pm_solicitantes
			//$data['datosPersonales']= $this->datospersonales_model-> getdatosSolicitante($this->session->userdata('uid'));
			$data['datosPersonales']= $this->datospersonales_model-> getdatosSolicitante($this->anoacademico,$this->convocatoria,$this->session->userdata('uid'));
				
			//obtengo lista de localidades habitual dada la provincia del alumno uva
			$id =$data['datosPersonales']->PROVINCIA_HABIT;
			$data['listaLocalidadesh'] = $this->datospersonales_model->localidades($id);
			
			//obtengo lista de codigos postales habitual dada la provincia y localidad del alumno uva
			$loc = $data['datosPersonales']-> LOCALIDAD1_HABIT;
			$data['listaCodigosPostalesh']=$this->datospersonales_model->codigosPostales($id,$loc);
	
			//obtengo lista de localidades nacimiento dada la provincia del alumno una
			$idn = $data['datosPersonales']->PROVINCIA_NACIM;
			$data['listaLocalidadesn'] = $this->datospersonales_model->localidades($idn);
			
			//obtengo lista de codigos postales nacimiento dada la provincia y localidad del alumno uva
			$locn = $data['datosPersonales']-> LOCALIDAD1_NACIM;
			$data['listaCodigosPostalesn']=$this->datospersonales_model->codigosPostales($idn,$locn);
			
		}
		$data['titulo']= lang('soli_datospersonales');
		if ($this->gestormode) {
			$this->load->view('header_gestor_view.php',$data);
			$this->load->view('breadcrumb_view.php',$this->databreadcrumb);
			
			
		}else{
			
			$this->load->view('header_solicitante_view',$data);
		}
		$data_progreso['progreso_solicitud']=$this->progreso_solicitud_model->progreso($this->anoacademico,$this->convocatoria,$this->session->userdata('uid'),MENU_DATOSPERSONALES);	
		$this->load->view('progreso_solicitud_view.php',$data_progreso);
		$this->load->view('datospersonales_solicitante_view.php',$data);
		$this->load->view('footer_view.php');
		
	}

    public function validar_datospersonales()
	{
	    log_message('debug',"Entro en validar_datos_personales");	
		
			
        $this->form_validation->set_error_delimiters('<div class="alert alert-danger "><span class="glyphicon glyphicon-minus-sign"></span> ', '</div>');	


     	//REGLAS DE VALIDACION	  
		
		// nombre		
		$this->form_validation->set_rules('nombre','lang:soli_nombre','trim|required|max_length[32]|callback_validar_nombre');
		
		//apellido1
		$this->form_validation->set_rules('ape1', 'lang:soli_ape1','trim|required|max_length[32]|callback_validar_nombre');
		
		//apellido2
  	    $this->form_validation->set_rules('ape2', 'lang:soli_ape2','trim|max_length[32]|callback_validar_nombre');
		
		//nacionalidad 	    
		$this->form_validation->set_rules('paisnacionalidad', 'lang:soli_paisnacionalidad','trim|required|callback_validar_nacionalidad');	
		
		//sexo
		$this->form_validation->set_rules('sexo', 'lang:soli_sexo','trim|required');
		
		//email
		$this->form_validation->set_rules('email', 'lang:soli_email','trim|required|valid_email|max_length[70]');
		
		//direccion
		$this->form_validation->set_rules('direccion', 'lang:soli_direccion','trim|required|max_length[80]');
		
		//pais habitual
		$this->form_validation->set_rules('paish', 'lang:soli_paish','trim|required');
		
		//provincia habitual
		$selectprovh= $this->input->post('selectprovh');
		if ($selectprovh == 1) { //campo lista desplegable
			$this->form_validation->set_rules('selectprovinciah', 'lang:soli_provinciah','trim|required');
		}
			
		//localidad habitual
		$locah= $this->input->post('locah');
		$selectlocah= $this->input->post('selectlocah');
		if ($locah == 1) { //campo input
   		   $this->form_validation->set_rules('localidadh', 'lang:soli_localidadh','trim|required|max_length[50]');
		}
		if ($selectlocah == 1) { //campo lista desplegable
   		    $this->form_validation->set_rules('selectlocalidadh', 'lang:soli_localidadh','trim|required');
		}
		
		//codigo postal habitual
		$selectcph= $this->input->post('selectcph');
		if ($selectcph == 1) { //campo lista desplegable
			$this->form_validation->set_rules('selectcodigopostalh', 'lang:soli_codigopostalh','trim|required|numeric|max_length[5]');
		}		
		
    	//telefono
		$telefono= $this->input->post('telefono');
		$movil= $this->input->post('movil');
		$this->form_validation->set_rules('telefono', 'lang:soli_telefono','trim|numeric|max_length[15]|callback_existe_telefono['.$movil.']');
		
		//movil
		$this->form_validation->set_rules('movil', 'lang:soli_movil','trim|numeric|max_length[15]');
		
	    //fecha de nacimiento
    	$this->form_validation->set_rules('fechanacim','lang:soli_fechanacimiento','trim|required|callback_validar_fechanacim');		
		 
		//pais de nacimiento
	    $this->form_validation->set_rules('paisn', 'lang:soli_paisn','trim|required');
		 
		//provincia habitual
		$selectprovn= $this->input->post('selectprovn');
		if ($selectprovn == 1) { //campo lista desplegable
			$this->form_validation->set_rules('selectprovincian', 'lang:soli_provincian','trim|required');
		}
		 
    	//localidad nacimiento
		$locan= $this->input->post('locan');
		$selectlocan= $this->input->post('selectlocan');
		if ($locan == 1) { //campo input
   		   $this->form_validation->set_rules('localidadn', 'lang:soli_localidadn','trim|required|max_length[50]');
		}
		if ($selectlocan == 1) { //campo lista desplegable
   		    $this->form_validation->set_rules('selectlocalidadn', 'lang:soli_localidadn','trim|required');
		}
		
		//codigo postal nacimiento
		$selectcpn= $this->input->post('selectcpn');
		if ($selectcpn == 1) { //campo lista desplegable
			$this->form_validation->set_rules('selectcodigopostaln', 'lang:soli_codigopostaln','trim|required|numeric|max_length[5]');
		}

		if ($this->form_validation->run() == FALSE)
		{
			    // si hay errores, volvemos a la pagina de datos personales y los mostramos				
			    if ($this->input->post('nuevo') == 'S' ) {				
					if ($this->input->post('uva') == 'S')  {
					    $data['datosPersonales']= $this->datospersonales_model-> getdatosUva($this->session->userdata('uid'));
	
					}
					else{
						//no es de la Uva --> busco -> datos basicos del ldap																								
						$persona=new persona();			
						$persona->DNI_PASAPORTE=$this->session->userdata('uid');
						$persona->NOMB_ALUMNO= $this->session->userdata('nombre');
						$persona->APE1_ALUMNO=$this->session->userdata('ape1');
						$persona->APE2_ALUMNO=$this->session->userdata('ape2');
						$persona->TIPO_DOCUMENTO=$this->session->userdata('tipo_documento');
					
						$data['datosPersonales'] = $persona;
				
					}
				}
				else { // solicitante antiguo				 
 				   // $data['datosPersonales']= $this->datospersonales_model-> getdatosSolicitante($this->session->userdata('uid'));
				   $data['datosPersonales']= $this->datospersonales_model-> getdatosSolicitante($this->anoacademico,$this->convocatoria,$this->session->userdata('uid'));
				}
				
				//obtengo lista de paises para nacionalidad
		        $data['listaPaises']=$this->datospersonales_model->listarPaises();
		
				//obtengo lista de paises habitual	       			    
				$data['listaPaisesh']=$this->datospersonales_model->listarPaises();
				
				//obtengo lista de provincias		       			    
				$data['listaProvincias']=$this->datospersonales_model->listarProvincias();
				
  	            //obtengo lista de localidades habitual dada la provincia seleccionada
				$id = $this->input->post('selectprovinciah');		
				$data['listaLocalidadesh']=$this->datospersonales_model->localidades($id);
				
				//obtengo lista de codigos postales habitual dada una provincia y localidad seleccionada
	            $loc = $this->input->post('selectlocalidadh');
		        $data['listaCodigosPostalesh']=$this->datospersonales_model->codigosPostales($id,$loc);
				
				//obtengo lista de paises nacimiento	       			    
				$data['listaPaisesn']=$this->datospersonales_model->listarPaises();
				
				//obtengo lista de localidades nacimiento dada la provincia seleccionada
				$idn = $this->input->post('selectprovincian');		
				$data['listaLocalidadesn']=$this->datospersonales_model->localidades($idn);
				
				//obtengo lista de codigos postales nacimiento dada una provincia y localidad seleccionada
	            $locn = $this->input->post('selectlocalidadn');
		        $data['listaCodigosPostalesn']=$this->datospersonales_model->codigosPostales($idn,$locn);
		
		
 	            $data['nuevo']= $this->input->post('nuevo');
				$data['uva']= $this->input->post('uva');
				
				$data['titulo']= lang('soli_datospersonales');
				if ($this->gestormode) {
					$this->load->view('header_gestor_view.php',$data);
					$this->load->view('breadcrumb_view.php',$this->databreadcrumb);
				}else{					
					$this->load->view('header_solicitante_view',$data);
				}
				$data_progreso['progreso_solicitud']=$this->progreso_solicitud_model->progreso($this->anoacademico,$this->convocatoria,$this->session->userdata('uid'),MENU_DATOSPERSONALES);	
				$this->load->view('progreso_solicitud_view.php',$data_progreso);		
				$this->load->view('datospersonales_solicitante_view.php',$data);
				$this->load->view('footer_view.php');
	
		}
		else
		{
  			    // si todo ha ido bien, grabo los datos
								
				$selectprovh= $this->input->post('selectprovh');
				if ($selectprovh == 1) { //campo lista desplegable
					$provh = $this->input->post('selectprovinciah');
				}
				else{
					$provh  = '99';
				}				
				
				$locah= $this->input->post('locah');
				$selectlocah= $this->input->post('selectlocah');
				if ($locah == 1) { //campo input
					$localidadh = $this->input->post('localidadh');
				}
				if ($selectlocah == 1) { //campo lista desplegable
					$localidadh = $this->input->post('selectlocalidadh');
				}
					
				$selectcph= $this->input->post('selectcph');
				if ($selectcph == 1) { //campo lista desplegable
					$cph = $this->input->post('selectcodigopostalh');
					//calculo el campo ord_localiz_habit
				    $ord_localiz_habit=$this->datospersonales_model->calculaOrdLocaliz($cph,$provh,$localidadh);
				}	
				else {
					$cph  = '99999';
					$ord_localiz_habit = '0';
				}
				
				
				$selectprovn= $this->input->post('selectprovn');
				if ($selectprovn == 1) { //campo lista desplegable
					$provn = $this->input->post('selectprovincian');
				}
				else{
					$provn  = '99';
				}
				
				$locan= $this->input->post('locan');
				$selectlocan= $this->input->post('selectlocan');
				if ($locan == 1) { //campo input
					$localidadn = $this->input->post('localidadn');
				}
				if ($selectlocan == 1) { //campo lista desplegable
					$localidadn = $this->input->post('selectlocalidadn');
				}
					
				$selectcpn= $this->input->post('selectcpn');
				if ($selectcpn == 1) { //campo lista desplegable
					$cpn = $this->input->post('selectcodigopostaln');
					//calculo el campo ord_localiz_nacim
				    $ord_localiz_nacim=$this->datospersonales_model->calculaOrdLocaliz($cpn,$provn,$localidadn);
				}	
				else {
					$cpn  = '99999';
					$ord_localiz_nacim = '0';
				}
				
				//si el apellido viene vacion, meto un espacio porque en Sigma no puede ser nulo.
				if ($this->input->post('ape2') == '' or $this->input->post('ape2')== null) {
                   $ape2 = ' ';
				}
				else {
				   $ape2 = $this->input->post('ape2');

				}
				
                if ($this->input->post('nuevo') == 'S') {
					//inserto en pm_solicitantes
					log_message('debug','VALIDADO FORMULARIO DATOS PERSONALES.insert');				
										
					$data = array(
					   'ANO_ACADEMICO' => $this->anoacademico,
					   'CONVOCATORIA' =>  $this->convocatoria,
					   'DNI_PASAPORTE' => $this->session->userdata('uid'),
					   'TIPO_DOCUMENTO' => $this->session->userdata('tipo_documento'),
					   'NIP_ALUMNO' => '0',
					   'APE1_ALUMNO' => $this->input->post('ape1'),					  
					   'APE2_ALUMNO' => $ape2,
					   'NOMB_ALUMNO' => $this->input->post('nombre'),
					   'SEXO_ALUMNO' => $this->input->post('sexo'),
					   'COD_PAIS_NACION' => $this->input->post('paisnacionalidad'),
					   'DOMICILIO_HABIT' => $this->input->post('direccion'),
					   'COD_POST_HABIT' => $cph,
					   'ORD_LOCALIZ_HABIT' => $ord_localiz_habit,
					   'LOCALIDAD1_HABIT' => $localidadh,
					   'PROVINCIA_HABIT' => $provh,
					   'COD_PAIS_HABIT' => $this->input->post('paish'),
					   'TELEFONO_HABIT' => $this->input->post('telefono'),
					   'TELEFONO2_HABIT' =>$this->input->post('movil'),					                        
					   'FECHA_NAC_ALUMNO' => $this->input->post('fechanacim'),					
					   'COD_POST_NACIM' => $cpn,
					   'LOCALIDAD1_NACIM' => $localidadn,
					   'PROVINCIA_NACIM' => $provn,
					   'COD_PAIS_NACIM' => $this->input->post('paisn'),
					   'ORD_LOCALIZ_NACIM' => $ord_localiz_nacim,
					   'CORREO_ELEC_2' => $this->input->post('email')					   
				    );
															          
				    $resultado=$this->datospersonales_model->insertarSolicitante($data);				 
					
        			log_message('info','INSERTADO SOLICITANTE! '.$resultado);
					$this->historico_model->insertarAccionHistorico(
					      $this->anoacademico,
						  $this->convocatoria,
						  $this->session->userdata('uid'),
						  $this->session->userdata('auth_uid'),
						  INSERT_DATOS_PERSONALES,json_encode($data));	
									
				}
				else {
			        log_message('debug','VALIDADO FORMULARIO DATOS PERSONALES.update');
					//update en pm_solicitantes
					$data = array(
					   'APE1_ALUMNO' => $this->input->post('ape1'),					   
					   'APE2_ALUMNO' => $ape2,
					   'NOMB_ALUMNO' => $this->input->post('nombre'),
					   'SEXO_ALUMNO' => $this->input->post('sexo'),
					   'COD_PAIS_NACION' => $this->input->post('paisnacionalidad'),
					   'DOMICILIO_HABIT' => $this->input->post('direccion'),
					   'COD_POST_HABIT' => $cph,
					   'ORD_LOCALIZ_HABIT' => $ord_localiz_habit,
					   'LOCALIDAD1_HABIT' => $localidadh,
					   'PROVINCIA_HABIT' => $provh,
					   'COD_PAIS_HABIT' => $this->input->post('paish'),
					   'TELEFONO_HABIT' => $this->input->post('telefono'),
					   'TELEFONO2_HABIT' =>$this->input->post('movil'),
					   'FECHA_NAC_ALUMNO' => $this->input->post('fechanacim'),
					   'COD_POST_NACIM' => $cpn,
					   'LOCALIDAD1_NACIM' => $localidadn,
					   'PROVINCIA_NACIM' => $provn,
					   'COD_PAIS_NACIM' => $this->input->post('paisn'),
					   'ORD_LOCALIZ_NACIM' => $ord_localiz_nacim,					
  					   'CORREO_ELEC_2' => $this->input->post('email')					   
				    );
					
					$resultado=$this->datospersonales_model->modificarSolicitante(
					     $this->anoacademico,
						 $this->convocatoria,
						 $this->session->userdata('uid'),
						 $data);	 					
						 
        			log_message('info','MODIFICADO SOLICITANTE! '.$resultado);
					$this->historico_model->insertarAccionHistorico(
					          $this->anoacademico,
							  $this->convocatoria,
							  $this->session->userdata('uid'),
							  $this->session->userdata('auth_uid'),
							  UPDATE_DATOS_PERSONALES,
							  json_encode($data));	
				}
					
				$data['titulo']= lang('soli_datospersonales');	
                if ($this->gestormode) {
					$this->load->view('header_gestor_view.php',$data);
					$this->load->view('breadcrumb_view.php',$this->databreadcrumb);
				}else{					
					$this->load->view('header_solicitante_view',$data);
				}
				$data_progreso['progreso_solicitud']=$this->progreso_solicitud_model->progreso($this->anoacademico,$this->convocatoria,$this->session->userdata('uid'),MENU_DATOSPERSONALES);	
				$this->load->view('progreso_solicitud_view.php',$data_progreso);				
				$datamensaje['mensaje']= lang('soli_datospersonalesOk');
				$datamensaje['siguiente']= site_url('solicitantedatosacademicos/datosacademicos');
				$this->load->view('solicitante_msj_view.php',$datamensaje);
				$this->load->view('footer_view.php');

		}
		
	}




 /** 
  * Valida que al menos haya introducido uno de los telefonos
  */	
   function existe_telefono($str,$id)
    {
		    if ( $str == '' and $id == '' ){
   				  $this->form_validation->set_message('existe_telefono', lang('error_telefonoObligatorio'));
				  return FALSE;
            } else{
				  return TRUE;           
            }
             
   }

  /** 
  * Valida si la fecha de nacimiento tiene formato correcto (dd/mm/yyyy) y que la edad no sea < 20
  */
  function validar_fechanacim($fecha)
    {
		 
		$trozosFecha=explode("/",trim($fecha)); 
		if (count($trozosFecha) > 1 ){
																			
			if( (!checkdate((int)$trozosFecha[1],(int)$trozosFecha[0],(int)$trozosFecha[2])) ||
				($trozosFecha[2]<=1920) || ($trozosFecha[2]>date("Y")) ) {
				  $this->form_validation->set_message('validar_fechanacim', lang('error_anoNoValido'));
				  return FALSE;
			}
			elseif ( $trozosFecha[2]>(date("Y")-20)  ){
				  $this->form_validation->set_message('validar_fechanacim', lang('error_edadNoValida'));
				  return FALSE;
			}else{
				return true;
			}
		}
	    else {
		   $this->form_validation->set_message('validar_fechanacim', lang('error_fechaNoValida'));
		   return FALSE;
		
		}
             
   }
   
 
	
/** 
  * Llena la lista desplegable de localidades segun una provincia
  */
   function llena_localidades($provincia)
    {
		log_message('info',"entro en llena_localidades");
		
        $options = "";
		log_message('info',$provincia);
		$localidades = $this->datospersonales_model->localidades($provincia);
		
		?>	<option value=''><?= lang('soli_eligeLocalidad')?></option><?php
		
		foreach($localidades as $fila)
		{
		
		?>			
		
	   <option value="<?=$fila -> LOCALIZACION ?>"><?=$fila -> LOCALIZACION ?></option>		

			  
		<?php
		}
	
    }	
	
	
	/** 
  * Llena la lista desplegable de codigos postales  segun una localidad y una provincia
  */
   function llena_codigospostales($provincia, $localidad)
    {
		log_message('info',"entro en llena_codigospostales");
		
        $options = "";
		log_message('info',$provincia);
		log_message('info',$localidad);
		
		$localidad = str_replace("&#40;", "(", $localidad); 
	    $localidad = str_replace("&#41;", ")", $localidad);	
		$localidad = urldecode($localidad);
		
		log_message('info',$localidad);
		$codigospostales = $this->datospersonales_model->codigospostales($provincia,$localidad);
		
		?>	<option value=''><?= lang('soli_eligeCodigoPostal')?></option><?php
		
		foreach($codigospostales as $fila)
		{
		?>			
     
		<option value="<?=$fila -> COD_POSTAL ?>" ><?=$fila -> COD_POSTAL ?></option>
  
		<?php
		
		}

    }	

/** 
  * Valida que el nombre no contega los caracteres "º" "ª" o "."
  */
  function validar_nombre($nombre)
    {
	   log_message('info',"entro en validar_nombre");
		
       $findme   = 'º';
       $pos = strpos($nombre, $findme);

       if (!($pos === false)) {	   
            
            $this->form_validation->set_message('validar_nombre', lang('error_abreviaturas'));
		    return FALSE;
						
       } 
	   else {
	   
		   $findme   = 'ª';
		   $pos = strpos($nombre, $findme);
		   
		   if (!($pos === false)) {		
			   
				$this->form_validation->set_message('validar_nombre', lang('error_abreviaturas'));
				return FALSE;
		   } 
		   else {
		       $findme   = '.';
		       $pos = strpos($nombre, $findme);
		   
			   if (!($pos === false)) {
			    
					$this->form_validation->set_message('validar_nombre', lang('error_abreviaturas'));
					return FALSE;
			   } 
			   else {
			        return TRUE;
			   }
		   
		   }
		}   		 	
             
   }
   
   
   /** 
  * Valida nacionalidad en funcion tipo del documento
  */
  function validar_nacionalidad($nacionalidad)
 
    {
	   log_message('info',"entro en validar_nacionalidad");

       // si tengo NIF la nacionalidad debe ser española	   
       if ($this->input->post('tipo_documento')== 'NIF' and $nacionalidad != 'E') {	   
      
            $this->form_validation->set_message('validar_nacionalidad', lang('error_nacionalidad'));
		    return FALSE;
						
       } 
	   else {
	   
		   return TRUE;
			
	   }   		 	
             
   }
   

}//End class


