<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

//Esta debe ser una variable global de configuracin


if ( ! function_exists('createUploadDirs')){
	
function createUploadDirs($id_proyecto,$id_fase,$id_iteracion,$id_actividad){
	
	log_message('debug','llamo a crear directorios');
	
	$_UPLOAD_BASE_DIR="uploads";
		
		$dir=$_UPLOAD_BASE_DIR."/".$id_proyecto."/".$id_fase;
		
		if (strlen(trim($id_iteracion))!=0){
			$dir=$dir."/".$id_iteracion;
		}
		
		if (strlen(trim($id_actividad))!=0){
			$dir=$dir."/".$id_actividad;
		}
		
		if (!is_dir($dir)){
			log_message('debug',"No existe el directorio".$dir);
			
			//creo el directorio
			if (mkdir($dir,0700,true)==false){
				log_message('error','No se puede crear directorio:'.$dir);
				
			}else{
				log_message('info','Creado con exito el directorio:'.$dir);
				
			}
		}else{
			log_message('debug',"El directorio:".$dir." ya est creado.");
		}
		
}//end-function		

}//end-if


/**
 * Listar ficheros de un directorio
 * @param unknown_type $path
 * @return unknown_type
 */

if ( ! function_exists('listFilesInDir')){

	function listFilesInDir($path){

	
	if (!is_dir($dir)){
		log_message('error','La ruta:'.$path.' no se corresponde con un directorio valido');
		return false;
	}
	//instanciamos el objeto
	$dir=dir($path);

	
	
	//Mostramos las informaciones
	//echo "Directorio ".$dir->path.":<br><br>";

	
	$i=0;
	while ($elemento = $dir->read())
	{
		$listaFicheros[$i]=$elemento;
		$i=$i+1;
   		
	}
	//Cerramos el directorio
	$dir->close();
	return $listaFicheros;
	
	}
}//end-if		