<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Motivosexclusion_model extends CI_Model {

	
	function __construct()
    {
        parent::__construct();
				log_message("DEBUG","--- LOADING default database OK ---");
				//$this->db = $this->load->database("default",true);   //se puede configurar autoconnect
				$this->load->database();
    }
	
	/**
	 * Hace una consulta sobre tabla pm_motivos_exclusion
     * @param $ano_academico
	 * @param $convocatoria
	 * @return unknown_type
	 */
	function getMotivosExclusion($ano_academico, $convocatoria){
				
		$sqlquery="SELECT *
		          FROM pm_motivos_exclusion
				  WHERE ano_academico = ? and convocatoria = ? ORDER BY DESCRIPCION";
	 			
		$query=$this -> db ->query($sqlquery,array($ano_academico,$convocatoria));
	 	
	 	if ($query->num_rows() > 1){
	 		log_message('info',">>Existen pm_motivos_exclusion::".$ano_academico." ".$convocatoria);
	 	}else{
	 		log_message('info',">>NO existe pm_motivos_exclusion::".$ano_academico." ".$convocatoria);
	 	}
	 	
	 	return $query->result();
		
	}
	
	function getDescripcionMotivo($ano_academico,$convocatoria,$motivo_exclusion){
		
	    $sql = "SELECT descripcion
		           FROM PM_MOTIVOS_EXCLUSION
				   WHERE ano_academico = ? and convocatoria = ? and codigo = ?";
		
		$query=$this -> db ->query($sql,array($ano_academico,$convocatoria,$motivo_exclusion));
		return $query->row()->DESCRIPCION;
	}
	
	
	/**
	 * Inserta un nuevo motivo 
	 * @param $data
	 * @return unknown_type
	 */	
	function insertarMotivoExclusion($data)
	{				
		
		return $this->db->insert('PM_MOTIVOS_EXCLUSION', $data);
  	}
	
}
