
<script type="text/javascript">	
	jQuery.extend( jQuery.fn.dataTableExt.oSort, {
    "date-eu-pre": function ( date ) {
        date = date.replace(" ", "");
        var eu_date, year;
         
        if (date == '') {
            return 0;
        }
 
        if (date.indexOf('.') > 0) {
            /*date a, format dd.mn.(yyyy) ; (year is optional)*/
            eu_date = date.split('.');
        } else {
            /*date a, format dd/mn/(yyyy) ; (year is optional)*/
            eu_date = date.split('/');
        }
 
        /*year (optional)*/
        if (eu_date[2]) {
            year = eu_date[2];
        } else {
            year = 0;
        }
 
        /*month*/
        var month = eu_date[1];
        if (month.length == 1) {
            month = 0+month;
        }
 
        /*day*/
        var day = eu_date[0];
        if (day.length == 1) {
            day = 0+day;
        }
 
        return (year + month + day) * 1;
    },
 
    "date-eu-asc": function ( a, b ) {
        return ((a < b) ? -1 : ((a > b) ? 1 : 0));
    },
 
    "date-eu-desc": function ( a, b ) {
        return ((a < b) ? 1 : ((a > b) ? -1 : 0));
    }
    } );

	var asInitVals = new Array();
	 	 		
    $(document).ready(function(){
	
	    $(this).find('tr').each (function(i,el) {
		//console.log(i);
		//console.log($(el).html());
		//"tr:first"
	});
	
	
	var ficheroidioma= "";
	var idioma = "<?php echo $this->session->userdata('idioma') ?>";
	var rol = "<?php echo $this->session->userdata('auth_rol_nombre') ?>";

	if (idioma == 'english'  ) {
	    ficheroidioma = "<?php echo base_url('/jquery/datatable.english.txt') ?>";	    
	}
	else {
	    ficheroidioma = "<?php echo base_url('/jquery/datatable.spanish.txt') ?>";
	}

	var oTable = $('#solicitudes').dataTable( {	
			"bStateSave": true,    //para guardar el estado en una cookie
		    "sPaginationType": "full_numbers",			
            "oLanguage": {
				"sUrl": ficheroidioma
				},	
				
            	
			/* Boton +*/
			/*"aoColumnDefs": [
            { "bSortable": false, "aTargets": [ 0 ] }
			],*/
			"aaSorting": [[0, 'asc']],
			/* Boton +*/			
      	
		   
			/* añadir enlaces de acciones*/	
			"aoColumns": [				
				null,
				null,
				{ "sType": "date-eu","bSortable": true },		
				{ "sType": "date-eu", "bSortable": true},
				
				null,
				null,
				
				{
					"bSortable": false,
					"mData": null,
					"sClass": "center",
					"sDefaultContent": '<a href="" class="activa"  id="tooltipActiva"  rel="tooltip" title="<?=lang('adm_ponerActiva')?>"><span class="glyphicon glyphicon-star"></span></a>'
				},
				{
					"bSortable": false,
					"mData": null,
					"sClass": "center",
					"sDefaultContent": '<a href="" class="configuracion"  id="tooltipConfig"  rel="tooltip" title="<?=lang('adm_pasarConfigurar')?>"><span class="glyphicon glyphicon-cog"></span></a>'
				},
				{
					"bSortable": false,
					"mData": null,
					"sClass": "center",
					"sDefaultContent": '<a href="" class="historia"  id="tooltipHistoria"  rel="tooltip" title="<?=lang('adm_pasarHistoria')?>"><span class="glyphicon glyphicon-hdd"></span></a>'
				}
            ]
			/* añadir enlaces de acciones*/	
		
        } );
		
		

	// PULSAR ENLACE VER
    $('#solicitudes').on('click', 'a.activa', function (e) {
	    var anoacademico = $.trim($(this).parents("tr").find("td").eq(0).html());			 
		var convocatoria = $.trim($(this).parents("tr").find("td").eq(1).html());			 
		var href="<?=site_url('administrador/cursoconvocatoria_poneractiva')?>"+"/"+anoacademico+"/"+convocatoria;
		
        $("a").attr("href", href);
	});
		
	
	$('#solicitudes').on('click', 'a.configuracion', function (e) {
	    var anoacademico = $.trim($(this).parents("tr").find("td").eq(0).html());			 
		var convocatoria = $.trim($(this).parents("tr").find("td").eq(1).html());			 
		var href="<?=site_url('administrador/cursoconvocatoria_pasarconfiguracion')?>"+"/"+anoacademico+"/"+convocatoria;
		
        $("a").attr("href", href);
	});
	
	$('#solicitudes').on('click', 'a.historia', function (e) {
	    var anoacademico = $.trim($(this).parents("tr").find("td").eq(0).html());			 
		var convocatoria = $.trim($(this).parents("tr").find("td").eq(1).html());			 
		var href="<?=site_url('administrador/cursoconvocatoria_pasarhistoria')?>"+"/"+anoacademico+"/"+convocatoria;
		
        $("a").attr("href", href);
	});
	
	/* buscar por columnas*/
	$("tfoot input").keyup( function () {
		
		oTable.fnFilter( this.value, $("tfoot input").index(this) );
	} );
		 
	/*
	 * Support functions to provide a little bit of 'user friendlyness' to the textboxes in
	 * the footer
	 */
	$("tfoot input").each( function (i) {
		asInitVals[i] = this.value;
	} );
	 
	$("tfoot input").focus( function () {
		if ( this.className == "search_init" )
		{
			this.className = "";
			this.value = "";
		}
	} );
	 
	$("tfoot input").blur( function (i) {
		if ( this.value == "" )
		{
			this.className = "search_init";
			this.value = asInitVals[$("tfoot input").index(this)];
		}
	} );
	/*buscar por columnas*/	
	
	$(function () {				
			 $('a[id*=tooltip]').tooltip();
				  
    });	
	
	
		
	}); //end-document-ready  
   
   
</script>	

<br></br>
<div class="container">
<div class="row">
 <div class="alert alert-info"><a id="tooltipCrearNueva"  rel="tooltip" title="<?=lang('adm_nuevaConvocatoria')?>" href="<?=site_url('administrador/nuevaConvocatoriaForm')?>" class="btn btn-primary" role="button"><span class="glyphicon glyphicon-edit"></span> <?=lang('adm_crearNuevaConvocatoria')?></a>
</div>
</div>
 <?php 	
					if (isset($msg_error) && $msg_error!='' ) {
					?>
					<div class="alert alert-danger">
						<div class="row">
						<div class="col-md-1">	
							<span class="glyphicon glyphicon-exclamation-sign"></span>
						</div>
						<div class="col-md-6">
							<strong><?php echo $msg_error ?></strong>
						</div>
						</div>	
					</div>	
					<?php	
					} 
					?>		

<div class="row">
<div class="col-md-12">
&nbsp;
</div>
  		
</div>

			<table id="solicitudes" class="display ex_highlight_row">
				<thead>
				<tr>									
					<th><?=lang('adm_añoAcademico')?></th>
					<th><?=lang('adm_convocatoria')?></th>
					<th><?=lang('adm_fechaIni')?></th>
					<th><?=lang('adm_fechaFin')?></th>
					<th><?=lang('adm_estado')?></th>
					<th><?=lang('adm_publicacion')?></th>
					<th></th>
					<th></th>
					<th></th>
				</tr>	
				</thead>
				<tbody>
				<?php foreach ($listaconvocatorias as $convocatoria) {?>
				    <tr>						
						<td><?=$convocatoria->ANO_ACADEMICO?></td>
						<td><?=$convocatoria->CONVOCATORIA?></td>
						<td><?=$convocatoria->FECHA_INICIO?></td>
						<td><?=$convocatoria->FECHA_FIN?></td>
						<td><?=$convocatoria->DESTADO?></td>
						<td><?=$convocatoria->PUBLICAR_ADMITIDOS?></td>
						
						<td class="center"></td>
						<td class="center"></td>
						<td class="center"></td>
				    </tr>
				<?php }?>
				</tbody>
				<tfoot>
					<tr>
					<th rowspan="1" colspan="1">
						<input class="search_init" type="text" value="<?=lang('adm_buscar')?>" name="search_ano_academico">
					</th>
					<th rowspan="1" colspan="1">
						<input class="search_init" type="text" value="<?=lang('adm_buscar')?>" name="search_convocatoria">
					</th>
					<th rowspan="1" colspan="1">
						<input class="search_init" type="text" value="<?=lang('adm_buscar')?>" name="search_fecha_inicio">
					</th>
					<th rowspan="1" colspan="1">
						<input class="search_init" type="text" value="<?=lang('adm_buscar')?>" name="search_fecha_fin">
					</th>
					<th rowspan="1" colspan="1">
						<input class="search_init" type="text" value="<?=lang('adm_buscar')?>" name="search_estado">
					</th>
					<th rowspan="1" colspan="1">
						<input class="search_init" type="text" value="<?=lang('adm_buscar')?>" name="search_publicacion_admitidos">
					</th>
					<th colspan="1" rowspan="1">
					</th>
					<th colspan="1" rowspan="1">
					</th>
                    <th colspan="1" rowspan="1">
					</th>                             				
					</tr>
				</tfoot>
			</table>
	
 </body>
 
</div><!-- container -->

