 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<meta name="keywords" content="jquery,ui,easy,easyui,web">
	<meta name="description" content="">

	 <link  href="<?php echo base_url('resources/css/easyui.css') ?>"rel="stylesheet" /> 
	 <link  href="<?php echo base_url('resources/css/icon.css') ?>"rel="stylesheet" /> 
	 
	<style type="text/css"> 
		#fm{   
			margin:0;
			padding:10px 30px;
		}
		.ftitle{
			font-size:14px;
			font-weight:bold;
			color:#666;
			padding:5px 0;
			margin-bottom:10px;
			border-bottom:1px solid #ccc;
		}
		.fitem{
			margin-bottom:5px;
		}
		.fitem label{
			display:inline-block;
			width:150px;
		}
	</style>

	<script src="<?php echo base_url('jquery/jquery-1.6.min.js')?>" language="javascript" type="text/javascript"></script>
	<script src="<?php echo base_url('jquery/jquery.easyui.min.js')?>" language="javascript" type="text/javascript"></script>
	<?php if($this->session->userdata('idioma') == 'english') {?>
	  <script src="<?php echo base_url('jquery/easyui-lang-en.js')?>" language="javascript" type="text/javascript"></script>
	<?php } else { ?>
	  <script src="<?php echo base_url('jquery/easyui-lang-es.js')?>" language="javascript" type="text/javascript"></script>
	<?php }  ?>
	
	<script type="text/javascript">
		var url;
		function newCoordinador (){
		    var titulo = "<?php echo lang('adm_nuevo')?>";
			$('#dlg').dialog('open').dialog('setTitle',titulo);
			$('#fm').form('clear');			
			url = "<?php echo site_url();?>/administrador/save_coordinador/"
		}
		
		function editCoordinador(){
			var row = $('#dg').datagrid('getSelected');
			
			if (row){						
			    $('#COD_PLAN_OLD').val(row.COD_PLAN);				
			    var titulo = "<?php echo lang('adm_editar')?>";
				$('#dlg').dialog('open').dialog('setTitle',titulo);
				$('#fm').form('load',row);				
				url = "<?php echo site_url();?>/administrador/update_coordinador";
			}
		}
		
		
		function saveCoordinador(){		   
			$('#fm').form('submit',{
				url: url,
				onSubmit: function(){
					return $(this).form('validate');
				},
				success: function(result){
					var result = eval('('+result+')');
					if (result.success){
						$('#dlg').dialog('close');		// close the dialog
						$('#dg').datagrid('reload');	// reload the user data
					} else {
						$.messager.show({
							title: 'Error',
							msg: result.msg
						});
					}
				}
			});
		}
		
		function removeCoordinador(){
			var row = $('#dg').datagrid('getSelected');
			if (row){
			
			    var titulo = "<?php echo lang('adm_confirmarBorrar')?>";
				$.messager.confirm('Confirm',titulo,function(r){
					if (r){						
						$.post('<?php echo site_url();?>/administrador/remove_coordinador/'+row.DNI_PASAPORTE+'/'+row.COD_PLAN,
						    {dni_pasaporte:row.DNI_PASAPORTE, plan:row.COD_PLAN},function(result){
						
							if (result.success){
								$('#dg').datagrid('reload');	// reload the plan data
							} else {
								$.messager.show({	// show error message
									title: 'Error',
									msg: result.msg
								});
							}
						},'json');
					}
				});
			}
		}
	</script>
</head>

<div class="container">

	<table id="dg" title="<?=lang('adm_tablaCoordinadores')?>" class="easyui-datagrid" style="width:1200px;height:450px"
			url="<?=site_url('administrador/listCoordinadores')?>"
			toolbar="#toolbar" pagination="false"
			rownumbers="true" fitColumns="true" singleSelect="true">
		<thead>
			<tr>
				<th field="ANO_ACADEMICO" width="50"><?=lang('adm_anoAcademico')?></th>
				<th field="CONVOCATORIA" width="50"><?=lang('adm_convocatoria')?></th>			
				<th field="DNI_PASAPORTE" width="50"><?=lang('adm_dni')?></th>
				<th field="COD_PLAN" width="50"><?=lang('adm_codPlan')?></th>
				<th field="NOMBRE" width="50"><?=lang('adm_nombre')?></th>
				<th field="APELLIDO1" width="50"><?=lang('adm_ape1')?></th>
				<th field="APELLIDO2" width="50"><?=lang('adm_ape2')?></th>
				<th field="EMAIL" width="50"><?=lang('adm_email')?></th>
			</tr>
		</thead>
	</table>
	<div id="toolbar">
		<a href="#" class="easyui-linkbutton" iconCls="icon-add" plain="true" onclick="newCoordinador()"><?=lang('adm_nuevo')?></a>
		<a href="#" class="easyui-linkbutton" iconCls="icon-edit" plain="true" onclick="editCoordinador()"><?=lang('adm_editar')?></a>
		<a href="#" class="easyui-linkbutton" iconCls="icon-remove" plain="true" onclick="removeCoordinador()"><?=lang('adm_borrar')?></a>
	</div>
	
	<div id="dlg" class="easyui-dialog" style="width:600px;height:380px;padding:10px 20px"
			closed="true" buttons="#dlg-buttons">
		<div class="ftitle"><?=lang('adm_informacion')?></div>
		<form id="fm" method="post" novalidate>
		    <div class="fitem">
				<label><?=lang('adm_anoAcademico')?>:</label>
				<input name="ANO_ACADEMICO" class="easyui-numberbox" required="true">
			</div>
			<div class="fitem">
				<label><?=lang('adm_convocatoria')?>:</label>
				<input name="CONVOCATORIA" class="easyui-numberbox" required="true">
			</div>
			<div class="fitem">
				<label><?=lang('adm_dni')?>:</label>
				<input name="DNI_PASAPORTE" class="easyui-validatebox" required="true" data-options="validType:['length[0,16]']">
			</div>
			<div class="fitem">
				<label><?=lang('adm_codPlan')?>:</label>
				<input name="COD_PLAN" class="easyui-numberbox" required="true">				
	            <input hidden="true" type="text" name="COD_PLAN_OLD" id="COD_PLAN_OLD" />
			</div>
			<div class="fitem">
				<label><?=lang('adm_nombre')?>:</label>
				<input name="NOMBRE"  class="easyui-validatebox" required="true" style="width:320px;" data-options="validType:['length[0,200]']" >	
			</div>
			<div class="fitem">
				<label><?=lang('adm_ape1')?>:</label>
				<input name="APELLIDO1" class="easyui-validatebox" required="true" style="width:320px;" data-options="validType:['length[0,200]']">
			</div>
			<div class="fitem">
				<label><?=lang('adm_ape2')?>:</label>
				<input name="APELLIDO2" class="easyui-validatebox" required="true" style="width:320px;" data-options="validType:['length[0,200]']">
			</div>			
			<div class="fitem">
				<label><?=lang('adm_email')?>:</label>
				<input name="EMAIL"  class="easyui-validatebox" style="width:320px;" data-options="validType:'email'">				 
			</div>
		
		</form>
	</div>
	<div id="dlg-buttons">
		<a href="#" class="easyui-linkbutton" iconCls="icon-ok" onclick="saveCoordinador()"><?=lang('adm_guardar')?></a>
		<a href="#" class="easyui-linkbutton" iconCls="icon-cancel" onclick="javascript:$('#dlg').dialog('close')"><?=lang('adm_cancelar')?></a>
	</div>


</div>
		





