<script type="text/javascript">	

jQuery.extend( jQuery.fn.dataTableExt.oSort, {
    "date-euro-pre": function ( a ) {
        var x;
 
        if ( $.trim(a) !== '' ) {
            var frDatea = $.trim(a).split(' ');
            var frTimea = frDatea[1].split(':');
            var frDatea2 = frDatea[0].split('/');
            x = (frDatea2[2] + frDatea2[1] + frDatea2[0] + frTimea[0] + frTimea[1] + frTimea[2]) * 1;
        }
        else {
            x = Infinity;
        }
 
        return x;
    },
 
    "date-euro-asc": function ( a, b ) {
        return a - b;
    },
 
    "date-euro-desc": function ( a, b ) {
        return b - a;
    }
} );

	var asInitVals = new Array();
	 	 		
    $(document).ready(function(){
		
		/* Boton + */
    var nCloneTh = document.createElement( 'th' );
    var nCloneTd = document.createElement( 'td' );
	
    var img = "<?php echo '<img src=\"'.base_url('/resources/imgs/details_open.png').'\">'?>" ;		

	nCloneTd.innerHTML = img;
    nCloneTd.className = "center";
     
    $('#historico thead tr').each( function () {
        this.insertBefore( nCloneTh, this.childNodes[0] );
    } );
     
    $('#historico tbody tr').each( function () {
        this.insertBefore(  nCloneTd.cloneNode( true ), this.childNodes[0] );
    } );
	/* Boton +*/
	
	var ficheroidioma= "";
	var idioma = "<?php echo $this->session->userdata('idioma') ?>";
	
	if (idioma == 'english'  ) {
	    ficheroidioma = "<?php echo base_url('/jquery/datatable.english.txt') ?>";	    
	}
	else {
	    ficheroidioma = "<?php echo base_url('/jquery/datatable.spanish.txt') ?>";
	}

	var visible = false; 
	var rol = "<?php echo $this->session->userdata('auth_rol_nombre') ?>";
	if (rol == 'Gestor' || rol =='Administrador') {
	    visible = true;
	}	
	
	var oTable = $('#historico').dataTable( {
				  
		    "sPaginationType": "full_numbers",		
            "oLanguage": {
				"sUrl": ficheroidioma
				},				            			
			"aoColumnDefs": [
            { "bSortable": false, "aTargets": [ 0 ] }
			],
			"aaSorting": [[2, 'desc']], // SE ORDENA POR DEFECTO POR fecha
						
    
			/* añadir enlaces de acciones*/	
			"aoColumns": [
				{ "sClass": "center", "bSortable": false,"bVisible": visible },				
				null,
				{ "sType": "date-euro" },
				null,
				{ "sClass": "left", "bSortable": false, "bVisible": false }
            ]
			/* añadir enlaces de acciones*/	
		
        });


	/* Boton +*/
    $('#historico tbody td img').click(function () {
        var nTr = $(this).parents('tr')[0];
        if ( oTable.fnIsOpen(nTr) )
        {
            // This row is already open - close it 
			var img = "<?php echo base_url('/resources/imgs/details_open.png')?>" ;	           
			this.src = img;
            oTable.fnClose( nTr );
        }
        else
        {
            //Open this row 
			var img = "<?php echo base_url('/resources/imgs/details_close.png')?>" ;	           
			this.src = img;
            oTable.fnOpen( nTr, fnFormatDetails(oTable, nTr), 'details' );
        }
    } );
	/* Boton +*/
		
		
	/* buscar por columnas*/
	$("tfoot input").keyup( function () {
		
		oTable.fnFilter( this.value, $("tfoot input").index(this) );
	} );
		 
	/*
	 * Support functions to provide a little bit of 'user friendlyness' to the textboxes in
	 * the footer
	 */
	$("tfoot input").each( function (i) {
		asInitVals[i] = this.value;
	} );
	 
	$("tfoot input").focus( function () {
		if ( this.className == "search_init" )
		{
			this.className = "";
			this.value = "";
		}
	} );
	 
	$("tfoot input").blur( function (i) {
		if ( this.value == "" )
		{
			this.className = "search_init";
			this.value = asInitVals[$("tfoot input").index(this)];
		}
	} );
	/*buscar por columnas*/	
	
	$(function () {				
			 $('a[id*=tooltip]').tooltip();
				  
    });	
	
		
	}); //end-document-ready  
   
   
    /* Boton +*/
	function fnFormatDetails ( oTable, nTr )
	{
		var aData = oTable.fnGetData( nTr );
	

		var sOut = '<table">';
		var obj = $.parseJSON(aData[4]);
		if (obj.length >0 ) {
			for(ind=0; ind<obj.length; ind++)
			   {
			   sOut += '<tr><td>'+obj[ind]+' </td></tr>';
			 
			}
		}
		else {	

			$(obj).each(function(i,val){
				$.each(val,function(k,v){				 
				   sOut += '<div class="myrow">'+k+" : "+ v+' </div>'; 
			});
			});
		}
        sOut += '</table>';
		return sOut;	
				
	}
	/* Boton +*/
		
</script>	


<div class="container">

<div class="row">
<div class="col-md-12">

			<table id="historico" class="display">
				<thead>
				<tr>					
					<th><?=lang('ges_usuario')?></th>
					<th><?=lang('ges_fecha')?></th>
					<th><?=lang('ges_accion')?></th>
					<th><?=lang('ges_descripcion')?></th>
				</tr>	
				</thead>
				<tbody>
				<?php foreach ($historicolist as $record) {?>
				<tr>					
										
					<td><?=$record->DNI_USUARIO?></td>
					<td><?=$record->FECHA?></td>
					<td><?=$record->NOMBRE?></td>
					<td><?=$record->DESCRIPCION?></td>					
					
				</tr>
				<?php }?>
				</tbody>
				<tfoot>
					<tr>
					
					<th colspan="1" rowspan="1">
						<input type="hidden" name="search" value="" class="search_init" >
					</th>					
					<th rowspan="1" colspan="1">
						<input class="search_init" type="text" value="<?=lang('ges_buscar')?>" name="search_dni_usuario">
					</th>
					<th rowspan="1" colspan="1">
						<input class="search_init" type="text" value="<?=lang('ges_buscar')?>" name="search_fecha">
					</th>
					<th rowspan="1" colspan="1">
						<input class="search_init" type="text" value="<?=lang('ges_buscar')?>" name="search_id_accion">
					</th>
					<th rowspan="1" colspan="1">
						<input class="search_init" type="text" value="<?=lang('ges_buscar')?>" name="search_descripcion">
					</th>
					 					
					</tr>
				</tfoot>
			</table>
	
 </div>  		
</div>
	
	
</div><!-- container -->


