﻿<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/*helper funcion ayuda a definir los margenes tipografía y creación del footer y números de pagína*/
function prep_pdf($orientation = 'portrait'){
	
	log_message('debug',"entro en pdfHelper");
    $CI =& get_instance();
    $CI->cezpdf->selectFont(APPPATH.'libraries/fonts/Helvetica.afm');

    $all = $CI->cezpdf->openObject();
    $CI->cezpdf->saveState();
    $CI->cezpdf->setStrokeColor(0,0,0,1);
    if($orientation == 'portrait') {
        $CI->cezpdf->ezSetMargins(20,70,20,20);
        $CI->cezpdf->ezStartPageNumbers(570,28,8,'','{PAGENUM}',1);
        $CI->cezpdf->line(20,40,578,40);
        $CI->cezpdf->addText(25,32,8,'Fecha: ' . date('m/d/Y h:i:s a'));
   }
    else {
        $CI->cezpdf->ezStartPageNumbers(750,28,8,'','{PAGENUM}',1);
        $CI->cezpdf->line(20,40,800,40);
        $CI->cezpdf->addText(25,32,8,'Fecha: '.date('m/d/Y h:i:s a'));
    }
    $CI->cezpdf->restoreState();
    $CI->cezpdf->closeObject();
    $CI->cezpdf->addObject($all,'all');
} 


function preparar_pdf($orientation = 'portrait', $titulo,$server_filename=null){
	
	log_message('debug',"entro en pdfHelper");
    $CI =& get_instance();
	$CI->cezpdf = new Cezpdf('a4',$orientation);
    $CI->cezpdf->selectFont(APPPATH.'libraries/fonts/Helvetica.afm');

    $all = $CI->cezpdf->openObject();
    $CI->cezpdf->saveState();
    $CI->cezpdf->setStrokeColor(0,0,0,1);
	
	if($orientation == 'portrait') {
       // $CI->cezpdf->ezSetMargins(20,70,20,20);
	    $CI->cezpdf->addJpegFromFile("./resources/imgs/logo_uva.jpg",518,800,50,30);
		if (ob_get_length() > 0) { ob_end_clean();}
		$CI->cezpdf->ezText("\n", 5);
	    $CI->cezpdf->ezText("     ".$titulo, 13);
	   
  	    $CI->cezpdf->ezSetCmMargins(3,2,1.5,1.5);
        $CI->cezpdf->ezStartPageNumbers(570,28,8,'','{PAGENUM}',1);
		$CI->cezpdf->setLineStyle(2,'round');
        $CI->cezpdf->setStrokeColor(0,0,0);
        $CI->cezpdf->line(20,40,578,40);
        $CI->cezpdf->addText(25,32,8,'Fecha: ' . date('m/m/Y h:i:s'));
   }
   else {
        //$CI->cezpdf->ezSetMargins(20,70,20,20);
		$CI->cezpdf->addJpegFromFile("./resources/imgs/logo_uva.jpg",8,515,125,70);
		if (!(isset($server_filename))) {
		   if (ob_get_length() > 0) { ob_end_clean();}
		}   
		$CI->cezpdf->ezText("\n", 5);
    
        $CI->cezpdf->ezText("                                           ".$titulo, 13);
		$CI->cezpdf->setLineStyle(5);
		$CI->cezpdf->rectangle(175,510,625,50);
		
		
		$CI->cezpdf->ezSetCmMargins(4,2,1.5,1.5);
        $CI->cezpdf->ezStartPageNumbers(750,28,8,'','{PAGENUM}',1);
		$CI->cezpdf->setLineStyle(2,'round');
        $CI->cezpdf->setStrokeColor(0,0,0);
        $CI->cezpdf->line(20,40,800,40);
        $CI->cezpdf->addText(25,32,8,'Fecha: '.date('d/m/Y h:i:s '));
    }
	
	$CI->cezpdf->restoreState();
    $CI->cezpdf->closeObject();
    $CI->cezpdf->addObject($all,'all');
}


// prepara el report quitando de la cabecera el rectangulo con el titulo
// neceario para los listados de todos los masteres
function prepararAll_pdf($orientation = 'portrait', $titulo){
	
	log_message('debug',"entro en pdfHelper");
    $CI =& get_instance();
	$CI->cezpdf = new Cezpdf('a4',$orientation);
    $CI->cezpdf->selectFont(APPPATH.'libraries/fonts/Helvetica.afm');

    $all = $CI->cezpdf->openObject();
    $CI->cezpdf->saveState();
    $CI->cezpdf->setStrokeColor(0,0,0,1);
	
    if($orientation == 'portrait') {      
		ob_end_clean();
	
  	    $CI->cezpdf->ezSetCmMargins(1,2,1.5,1.5);
        $CI->cezpdf->ezStartPageNumbers(570,28,8,'','{PAGENUM}',1);
		$CI->cezpdf->setLineStyle(2,'round');
        $CI->cezpdf->setStrokeColor(0,0,0);       
        $CI->cezpdf->addText(25,32,8,'Fecha: ' . date('m/m/Y h:i:s'));
   }
    else {       
		ob_end_clean();
		
		$CI->cezpdf->ezSetCmMargins(1,2,1.5,1.5);
        $CI->cezpdf->ezStartPageNumbers(750,28,8,'','{PAGENUM}',1);
		$CI->cezpdf->setLineStyle(2,'round');
        $CI->cezpdf->setStrokeColor(0,0,0);
        $CI->cezpdf->line(20,40,800,40);
        $CI->cezpdf->addText(25,32,8,'Fecha: '.date('d/m/Y h:i:s '));
    }
	
	
    $CI->cezpdf->restoreState();
    $CI->cezpdf->closeObject();
    $CI->cezpdf->addObject($all,'all');
}


?>