 <!DOCTYPE html>
<html lang="es">
<head>
	
	<meta charset="utf-8" content="text/html">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="">

    <link rel="shortcut icon" href="<?php echo base_url('/resources/icons/logo_azul_mini.jpg') ?>">
    <title><?php echo $titulo ?></title>

    <!-- Bootstrap -->
       
	    <link href="<?php echo base_url('bootstrap/css/bootstrap.min.css') ?>" rel="stylesheet">
		<link href="<?php echo base_url('bootstrap/css/bootstrap-theme.css') ?>" rel="stylesheet">	
		<link href="<?php echo base_url('bootstrap/css/sticky-footer-navbar.css') ?>" rel="stylesheet"> 
        <link href="<?php echo base_url('resources/css/aplicacion.css') ?>" rel="stylesheet">  
		<link href="<?php echo base_url('resources/css/demo_table.css') ?>" rel="stylesheet"> 
        <link  href="<?php echo base_url('jquery/jquery.ui.spinner.css') ?>"rel="stylesheet" />         
		<link href="<?php echo base_url('resources/css/redmond/jquery-ui-1.10.4.custom.min.css') ?>" rel="stylesheet">
		<link href="<?php echo base_url('resources/css/jquery-ui-timepicker-addon.css') ?>" rel="stylesheet">
        
         
		<script src="<?php echo base_url('jquery/jquery-1.10.2.js')?>" language="javascript" type="text/javascript"></script>		
        <script src="<?php echo base_url('jquery/jquery-ui.js')?>" language="javascript" type="text/javascript"></script>
		<script src="<?php echo base_url('jquery/jquery-ui-timepicker-addon.js')?>" language="javascript" type="text/javascript"></script>
		<script src="<?php echo base_url('jquery/jquery.dataTables.js')?>" language="javascript" type="text/javascript"></script>
		<script src="<?php echo base_url('bootstrap/js/bootstrap.js') ?>" language="javascript" type="text/javascript" ></script>  
        <script src="<?php echo base_url('bootstrap/js/bootstrap-tooltip.js') ?>" language="javascript" type="text/javascript" ></script>
        <script src="<?php echo base_url('bootstrap/js/bootstrap-popover.js') ?>" language="javascript" type="text/javascript" ></script>
       
    
</head>

<script type="text/javascript">

$(document).ready(function(){
    $(".popover-examples a").popover({
        placement : 'bottom'
    });
	
});

</script>

<body>

<div id="wrap">

  
<!-- Fixed navbar -->
 
  <div class="navbar navbar-inverse navbar-fixed-top" role="navigation">
      <div class="my-fluid-container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
            <span class="sr-only">Navegacion</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="<?php echo site_url('gestor') ?>">
           <img src="<?php echo base_url('/resources/imgs/logo_azul.jpg')?>" alt="Logo"/>  <?=lang('apli_titulo')?></a>
        </div>
        <div class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
           
			<li><a href="<?php echo site_url('gestor/tutorial') ?>"><span class="glyphicon glyphicon-info-sign"></span> <?=lang('apli_tutorial')?></a></li>
			<li ><a href="<?php echo site_url('gestor/selectMaster') ?>"><span class="glyphicon glyphicon-eye-open"></span> <?=lang('apli_coordinador')?></a></li>
			<li ><a href="<?php echo site_url('gestor/solicitudes') ?>"><span class="glyphicon glyphicon-list"></span> <?=lang('apli_solicitudes')?></a></li>			           
			<li ><a href="<?php echo site_url('gestorProcesos/informes') ?>"><span class="glyphicon glyphicon-cog"></span><?=lang('apli_procesos')?></a></li>			
			<li ><a href="<?php echo site_url('listados/listadosGestor') ?>"><span class="glyphicon glyphicon-list-alt"></span> <?=lang('apli_listados')?></a></li>
			<li ><a href="<?php echo site_url('gestor/otrasConvocatorias') ?>"><span class="glyphicon glyphicon-search"></span><?=lang('apli_otrasConvocatorias')?></a></li>
			<?php if($this->session->userdata('auth_rol_nombre')== 'Administrador') {  ?>   
			   <li class="dropdown">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown"><span class="glyphicon glyphicon-wrench"></span><?=lang('apli_administrador')?> <b class="caret"></b></a>
                <ul class="dropdown-menu">
                  <li><a href="<?php echo site_url('administrador/gestionCoordinadores') ?>"><?=lang('apli_gestionCoordinadores')?></a></li>
				  <li><a href="<?php echo site_url('administrador/eliminarAccesoCoordinadores') ?>"><?=lang('apli_denegarAcceso')?></a></li>
				  <li><a href="<?php echo site_url('administrador/darAccesoCoordinadores') ?>"><?=lang('apli_darAcceso')?></a></li>
                  <li><a href="<?php echo site_url('administrador/gestionNodos') ?>"><?=lang('apli_gestionNodos')?></a></li>  
                  <li><a href="<?php echo site_url('administrador/gestionPlanes') ?>"><?=lang('apli_gestionMasteres')?></a></li> 				  
				  <li><a href="<?php echo site_url('administrador/gestionCursosConvocatorias') ?>"><?=lang('apli_administrarConvocatorias')?></a></li> 				
                </ul>
              </li>	
			<?php } ?>
		       <li><a href="<?php echo site_url('gestor/idioma/spanish') ?>">Español</a></li>
          	   <li><a href="<?php echo site_url('gestor/idioma/english') ?>">English</a></li>  			                 
               <li><a href="<?php echo site_url('logout') ?>"><?=lang('apli_salir')?></a></li>   			
          </ul>
		 
        </div>
      </div> <!-- container-->
    </div> <!-- navbar-->
<!-- Wrap all page content here -->
   