
<script type="text/javascript">	

	jQuery.extend( jQuery.fn.dataTableExt.oSort, {
		"num-html-pre": function ( a ) {
			var x = String(a).replace(/(?!^-)[^0-9.]/g, "");
			return parseFloat( x );
		},
	 
		"num-html-asc": function ( a, b ) {
			return ((a < b) ? -1 : ((a > b) ? 1 : 0));
		},
	 
		"num-html-desc": function ( a, b ) {
			return ((a < b) ? 1 : ((a > b) ? -1 : 0));
		}
	} );
	
	var asInitVals = new Array();
	 	 		
    $(document).ready(function(){
	
			
			var ficheroidioma= "";
			var idioma = "<?php echo $this->session->userdata('idioma') ?>";
			
			if (idioma == 'english'  ) {
				ficheroidioma = "<?php echo base_url('/jquery/datatable.english.txt') ?>";	    
			}
			else {
				ficheroidioma = "<?php echo base_url('/jquery/datatable.spanish.txt') ?>";
			}
			
			var oTable = $('#masteres').dataTable( {
				
				
					"sDom": 'rt<"bottom"iflp<"clear">>',  	
			        "bPaginate": false,
						          
					"oLanguage": {
						"sUrl": ficheroidioma
						},			
				  
					"aaSorting": [[3, 'asc']], // SE ORDENA POR DEFECTO POR PLAN
					
					/* añadir enlaces de acciones*/	
					"aoColumns": [
					    { "bSortable": false },
						{ "bSortable": false },
						{ "bSortable": false },
						null,
						null,
						{ "sType": "num-html" },
						{ "sType": "num-html" },
						{ "bSortable": false },
						{ "bSortable": false }
					]
					/* añadir enlaces de acciones*/	
				
				} );

			$('.bloque_si').change(
			function(){
				alert('changed');   
			}
		);

		
		$('#selectall').click(function(event) {  //on click 
			if(this.checked) { // check select status
				$('.blockcheck').each(function() { //loop 
                this.checked = true;  //select all checkboxes with class "blockcheck"               
				});
			}else{
				$('.blockcheck').each(function() { //loop through each checkbox
					this.checked = false; //deselect all checkboxes with class "blockcheck"                       
				});         
			}
		});
		
		//Aplicamos la seleccion
		$("#submit_selection").click(function () {
			//alert("llamando submit selection...");
			//no envio estos inputs en el post cuando envio una selección
			$("input[name='plan']").attr('disabled','disabled');
			$("input[name='estadoactual']").attr('disabled','disabled');
			$("#formlock_selection").submit();	
		 });
		
		
		$('input[type=radio][name=bloqueado]').change(function() {
		 alert("aquiii");
			if (this.value == 'S') {
				alert("Bloquear");
			}
			else if (this.value == 'transfer') {
				alert("Desbloquear");
			}
		});
		
	    $(function () {
				
				  $('a[id*=tooltip]').tooltip();
							  
        });	
	
    }); //end-document-ready  
   
   
</script>	
<div class="container">
   <form id="formlock_selection" name="formlock_selection" role="form" method="post" action="<?php echo site_url('gestor/planlockunlock')?>" >

         <div class="row">
			<div class="col-md-1 col-md-offset-11">
				&nbsp;&nbsp;&nbsp;<button id="submit_selection" class="btn" role="button" id ="tooltip5" rel="tooltip" title="<?=lang('coor_bloqueoDesbloqueo')?>">&nbsp;&nbsp;<span class="glyphicon glyphicon-saved"></span></button>					
			</div>
	      </div>	
      
			<table id="masteres" class="display">
				<thead>
				<tr>
				    <th></th>
					<th></th>
					<th></th>
					<th><?=lang('coor_plan')?></th>
					<th><?=lang('coor_descripcion')?></th>	
                    <th><?=lang('coor_solicitudes')?></th>
					<th><?=lang('coor_plazas')?></th>
					<th><?=lang('coor_bloqueado')?></th>
                    <th><input type="checkbox" id="selectall" name="selectall"  /></th>					
				</tr>	
				</thead>
				<tbody>
				<?php foreach ($listaMasteres as $master) {?>
				
				  <tr>
				    <td>					
					   <?php if  (!empty($listaPreadmitidosWeb)) { ?>    
						 <?php foreach ($listaPreadmitidosWeb as $item){?> 
							<?php if  ($master->COD_PLAN ==  $item->COD_PLAN and  $item->N_SOLICITUDES != 0) { ?> 								
								 <a target="_blank" class="criteriosLink" id="tooltipWeb<?php echo $item->COD_PLAN?>"  rel="tooltip" title="<?=lang('ges_listAdmitidosWeb')?>" href="<?php echo site_url('listados/pdfListAdmitidosWeb/'.$item->COD_PLAN) ?>"><span class="glyphicon glyphicon-list"></a> 												 													 
							<?php }?>                                                                    
						 <?php }?> 
					  <?php }?>     
					</td>
					<td> 
						       
                      <?php if  (!empty($listaNumeroListaEspera)) { ?>    
						 <?php foreach ($listaNumeroListaEspera as $item){?> 
							<?php if  ($master->COD_PLAN ==  $item->COD_PLAN and  $item->N_LISTAESPERA != 0) { ?> 								
								 <a target="_blank" class="criteriosLink" id="tooltipEspera<?php echo $item->COD_PLAN?>"  rel="tooltip" title="<?=lang('ges_listListaEspera')?>" href="<?php echo site_url('listados/pdfListListaEspera/'.$item->COD_PLAN) ?>"><span class="glyphicon glyphicon-list-alt"></a> 												 													 
							<?php }?>                                                                    
						 <?php }?> 
					  <?php }?>     							   
				    </td>
					<td>
					     <?php if  ($master->N_SOLICITUDES != 0) { ?> 
							  <a target="_blank" class="criteriosLink" id="tooltip<?php echo $master->COD_PLAN?>"  rel="tooltip" title="<?=lang('coor_listSolicitudes')?>" href="<?php echo site_url('listados/pdfListSolicitudes/'.$master->COD_PLAN) ?>"><span class="glyphicon glyphicon-file"></a> 												 
						 <?php }?>   
					</td>
					<td> 
					    <a class="criteriosLink" href="<?php echo site_url('coordinador/listarPreinscripciones/'.$master->COD_PLAN) ?>"> 
									  <?=$master->COD_PLAN?>
						</a> 
					</td>
					<td>
					   <a class="criteriosLink" href="<?php echo site_url('coordinador/listarPreinscripciones/'.$master->COD_PLAN) ?>">  
									  <?=$master->DESCRIPCION?></a>  
					</td>
					<td align="center">
					    <span class="badge"> 		
					    <?=$master->N_SOLICITUDES?>
						</span>
						<?php if  ($master->N_ADMITIDOS < $master->PLAZAS_OFERTADAS &&
						      $master->N_LISTAESPERA > 0	) { ?> 
						  <span style="color:red" class="glyphicon glyphicon-exclamation-sign" id="tooltipAviso"  rel="tooltip" title="<?=lang('coor_aviso')?>"></span>
						<?php }?> 
					</td>
					<td><span class="badge"> 		
					    <?=$master->PLAZAS_OFERTADAS?>
						</span>
					</td>
					<td >						
							<input type="hidden" id="plan" name="plan" value="<?=$master->COD_PLAN?>" />
							<input type="hidden" id="estadoactual" name="estadoactual" value="<?=$master->BLOQUEADO?>" />
							<?php if ($master->BLOQUEADO=='1'){?><span class="glyphicon glyphicon-lock" id="tooltip1"  rel="tooltip" title="<?=lang('coor_bloqueado')?>"></span><?php }?>
							<?php if ($master->BLOQUEADO=='0'){?><span class="glyphicon glyphicon-edit" id="tooltip2"  rel="tooltip" title="<?=lang('coor_desbloqueado')?>"></span><?php }?>
							<?php if ($master->BLOQUEADO=='2'){?><span class="glyphicon glyphicon-thumbs-up" id="tooltip3"  rel="tooltip" title="<?=lang('coor_finalizado')?>"></span><?php }?>
							<?php echo nbs(2); ?>							
							<a  class="btn btn-default"  id ="tooltip4" rel="tooltip" title="<?=lang('coor_bloqueoDesbloqueo')?>" href="<?php echo site_url('gestor/unplanlockunlock/'.$master->COD_PLAN.'/'.$master->BLOQUEADO) ?>" role="button"></span><<</a>									
	
					</td>
					<td>
						<input type="checkbox" id="plan_block[]" name="plan_block[]"  class="blockcheck" value="<?=$master->COD_PLAN?>" <?php if ($master->BLOQUEADO!=0) {echo "checked";} ?> />	
				    </td>
				  </tr>
				<?php }?>
				</tbody>
				
			</table>
	</form>			
</div><!-- container -->
			


