<!DOCTYPE html>

<html lang="es">
	<head>
		<meta charset="UTF-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<meta name="description" content="">
		<meta name="author" content="">	
        <link rel="shortcut icon" href="<?php echo base_url('/resources/icons/logo_azul_mini.jpg') ?>">
        <title><?=lang('apli_titulo')?> <?php echo $this->config->item('anoacademico');?></title>
       
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<!-- Bootstrap -->
		<link href="<?php echo base_url('bootstrap/css/bootstrap.min.css') ?>" rel="stylesheet">
 		<link href="<?php echo base_url('resources/css/signin.css') ?>" rel="stylesheet">
        <link href="<?php echo base_url('resources/css/aplicacion.css') ?>" rel="stylesheet">
        <link href="<?php echo base_url('bootstrap/css/bootstrap-theme.css') ?>" rel="stylesheet">
		<script src="<?php echo base_url('jquery/jquery-1.10.2.js')?>" language="javascript" type="text/javascript"></script>
		<script src="<?php echo base_url('bootstrap/js/bootstrap.min.js') ?>" language="javascript" type="text/javascript" ></script>
	</head>
	<body>
		
	<div class="container">

		  <div class="navbar navbar-inverse navbar-fixed-top" role="navigation">
			  <div class="my-fluid-container">
				<div class="navbar-header">
				  <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
					<span class="sr-only">Toggle navigation</span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
				  </button>
				  <a class="navbar-brand" href="<?php echo site_url('login') ?>">
				  <img src="<?php echo base_url('/resources/imgs/logo_azul.jpg')?>" alt="Logo"/>  <?=lang('apli_titulo')?></a>
				

				</div>
				<div class="collapse navbar-collapse">            
				 <ul class="nav navbar-nav">
					<li><a href="http://www.uva.es"><span class="glyphicon glyphicon-info-sign"></span> <?=lang('apli_informacion')?></a></li>      
				 </ul>
				</div><!--/.nav-collapse -->
			  </div>
		  </div>
				   
		  <div class="jumbotron">  
             <div align="center">		  
				<h3><?=lang('apli_curso')?> <?=lang('apli_ano_academico')?> </h3>
				<p><?=lang('apli_mensaje1')?></p>
			 </div>	
		   
		    <div class="row">
			   
    	       <div class="col-sm-7">
                   	<div>
						  <h3> </h3>
					</div>	      
					<div class="panel panel-primary">
						<div class="panel-heading">
						  <h3 class="panel-title"><span class="glyphicon glyphicon-info-sign"></span> <?=lang('apli_informacion')?></h3>
						</div>
						<div class="panel-body">
						  <table class="width765">
							<tr><td colspan="2" align="left" class="texto_preinscrip_mediana_negrita">1. ESTUDIANTES QUE YA HAN ESTADO MATRICULADOS EN ESTA UNIVERSIDAD Y POSEEN SUS C&Oacute;DIGOS DE ACCESO:</td></tr>

													<tr>
							<td colspan="2" align="Left" bordercolor="#D4D0C8" class="texto_preinscrip">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<strong>Usuario:</strong></td>
							</tr>
							<tr>
								<td colspan="2" align="Left" class="texto_preinscrip">
								<ul><li>Para los que tienen NIF (DNI con la letra), su identificador es "E+NIF". Por ejemplo si el NIF es 09876543K, el usuario ser&iacute;a E09876543K.</li>
								  <li>Los que no tienen NIF, tendr&aacute;n un usuario que se les facilit&oacute; en su momento, junto con la contrase&ntilde;a.</li>
								</ul>	 	  </td>
							</tr>
							
							<tr>
							<td colspan="2" align="Left" class="texto_preinscrip">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<strong>Contrase&ntilde;a:</strong></td>
							</tr>
							
							<tr>
							<td colspan="2" align="Left" class="texto_preinscrip">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Se ha proporcionado, en su momento, a todos los alumnos de la Uva. <br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; No obstante, si no la recuerda puede obtenerla accediendo a: </td>
							</tr>
							
							<tr>
							<td colspan="2" align="Left" class="texto_preinscrip">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<strong><a href="https://www5.uva.es/ldap/recuperar_clave/">formulario para recuperar clave</a></strong>. </td>
							</tr>
							<tr><td colspan="2">&nbsp;</td></tr>
							<tr>
							  <td colspan="2" align="left" class="texto_preinscrip_mediana_negrita">2. ESTUDIANTES QUE NO HAN ESTADO MATRICULADOS EN ESTA UNIVERSIDAD O QUE NO POSEEN C&Oacute;DIGOS DE ACCESO:</td></tr>
							<tr><td colspan="2" align="left" class="texto_preinscrip">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Para poder acceder a la aplicaci&oacute;n de preinscripci&oacute;n en Masteres</td></tr>
							<tr><td colspan="2" align="left" class="texto_preinscrip">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Oficiales, debe darse de alta en:<strong> <a href="https://intranet.uva.es/ldap/altas_temporales/index.php?from=preinsmaster">formulario de alta temporal</a></strong>. </td></tr>
							
						  </table>
					    </div> 
					</div> 	
              </div>
		      <div class="col-sm-5">
			    <div>
						  <h3> </h3>
				</div>	 
				<?php 	
				if (isset($cursoconvocatoriaactual->FECHA_INICIO) ) {
				?>
					<div class="panel panel-primary">
							<div class="panel-heading">
							  <h3 class="panel-title"><span class="glyphicon glyphicon-info-sign"></span> <?=lang('apli_informacionPlazos')?></h3>
							</div>
							<div class="panel-body">
							  <table class="width765">
								<h4> <strong>&nbsp;&nbsp;&nbsp; <?=lang('adm_añoAcademico')?>: </strong><?=$cursoconvocatoriaactual->ANO_ACADEMICO?>				
									 <strong>&nbsp;&nbsp;&nbsp; <?=lang('adm_convocatoria')?>: </strong><?=$cursoconvocatoriaactual->CONVOCATORIA?></h4>
								<h4><strong>&nbsp;&nbsp;&nbsp; <?=lang('adm_fechaIni')?>: </strong><?=$cursoconvocatoriaactual->FECHA_INICIO?></h4>
								<h4><strong>&nbsp;&nbsp;&nbsp; <?=lang('adm_fechaFin')?>: </strong><?=$cursoconvocatoriaactual->FECHA_FIN?></h4>	
             					
							  </table>
							</div> 
					</div> 	
				 <?php	
				} 
				?>	
             	<?php 	
				if (isset($msg_error) && $msg_error!='' ) {
				?>
					<div class="alert alert-danger">
					<div class="row">
						<div class="col-md-1">	
							<span class="glyphicon glyphicon-warning-sign "></span>
						</div>
						<div class="col-md-10">
						    <strong><h4><?php echo $msg_error ?></h4></strong>
						</div>
					</div>	
					</div>	
				<?php	
				} 
				?>
								
				<?php echo validation_errors(); ?>
				<form class="form-signin" role="form" action="<?php echo site_url('login/autenticar')?>" method="post">
					<h2 class="form-signin-heading"><?=lang('apli_autenticacion')?></h2>
				  
					<input id="uid" name="uid" type="text" class="form-control" placeholder="<?=lang('apli_usuarioId')?>"  required autofocus>
					<input id="password" name="password" type="password" class="form-control" placeholder="<?=lang('apli_password')?>" required >
					<!--<label class="checkbox">				
					  <input id="trueautentication" name="trueautentication" type="checkbox" value="S"> <?=lang('apli_recordarme')?>
					</label>-->
					<button class="btn btn-lg btn-primary btn-block" type="submit"><?=lang('apli_entrar')?></button>
				</form>
				
			  </div>	
		  </div> <!--jumbotron -->
	
<!-- PRUEBAS -->	
<!--<div class="panel-group" id="accordion">
  <div class="panel panel-default">
    <div class="panel-heading">
      <h4 class="panel-title">
        <a data-toggle="collapse" data-parent="#accordion" href="#collapseOne">
          <span class="glyphicon glyphicon-plus"></span> <strong> Recordatorio solicitantes introducidos </strong>
        </a>
      </h4>
    </div>
    <div id="collapseOne" class="panel-collapse collapse ">
      <div id="solicitudes" class="panel-body">
      <div class="table-responsive">
  		<table class="table table-condensed">
    		<th>identificador</th><th>nombre y apellidos</th><th>rol</th>
    		<?php foreach ($userlist as $user) {?>
			<tr><td><?=$user->DNI_PASAPORTE?></td><td><?=$user->NOMBRE?> <?=$user->APELLIDO1?> <?=$user->APELLIDO2?></td><td></td></tr>
			<?php }?>
    		
  		</table>
		</div>	
      </div>
    </div>
  </div>
  
</div>-->

<!-- PRUEBAS -->	
	
	</div> <!-- /container -->	
   </body>
</html>
