

<div class="page-header">
	<div class="container">
	  <h1><?=lang('nuevo_title')?><small><?=lang('nuevo_subtitle')?></small></h1>
	</div>
</div>


<div class="container container_poco_padding">


	<?php echo validation_errors(); ?>

	<?php if (isset($solicitudgrabada) || isset($alumnouva) || isset($user_id)) { ?>
	<div id="aviso" class="panel panel-success opciones-info">
		<div class="panel-heading">
		<div class="row">
			<div class="col-md-1">
				<span class="glyphicon  glyphicon-list"></span>
			</div>	
			<div class="col-md-5">	
				<strong><?=lang('ges_encontrado')?></strong>
			</div>
		</div>
		</div>
		<div class="panel-body">
		<h3>
			<?php
				$uid=null;				
				if (isset($solicitudgrabada)) {
					echo (lang('ges_solicitudGrabada').$solicitudgrabada->DNI_PASAPORTE.' '.$solicitudgrabada->NOMB_ALUMNO.' '.$solicitudgrabada->APE1_ALUMNO.' '.$solicitudgrabada->APE2_ALUMNO);
					$uid=$solicitudgrabada->DNI_PASAPORTE;
					$tipo_id = null;
				}
				if (isset($alumnouva)) {
					echo (lang('ges_datosUva').$alumnouva->DNI_PASAPORTE.' '.$alumnouva->NOMB_ALUMNO.' '.$alumnouva->APE1_ALUMNO.' '.$alumnouva->APE2_ALUMNO);
					$uid=$alumnouva->DNI_PASAPORTE;
					//$tipo_id = null;
					$tipo_id =$alumnousal->TIPO_DOCUMENTO;
				}else {
					if (isset($user_id) && isset($tipo_id)){
						echo (lang('ges_avisoNuevo').$tipo_id.' id: '.$user_id);
						$uid=$user_id;
					}	
				}
				?>
			
		
		<a href="<?php echo site_url('solicitantedatospersonales/datospersonales/uid')?>/<?php echo trim($uid) ?>/tipoDocumento/<?php echo $tipo_id?>" class="btn btn-primary" role="button"><span class="glyphicon glyphicon-pencil"> <<</span></a>	
			
		</h3>
		</div>
	</div>
	<?php } ?>

		
		
	<form role="form" method="post" action="<?php echo site_url('gestor/nuevaPreinscripcionValidar')?>">	
	<div class="panel panel-default"> 
		<div class="panel-heading">
			<h3 class="panel-title"><span class="glyphicon glyphicon-user"></span> <?=lang('ges_nuevoSolicitante')?></h3>
		</div>

	    <div class="panel-body" >            	
			<div  class="row">
				<div class="col-md-1">
				</div>
				<div class="col-md-5">					
					<div class="col-md-5>
					  <label for="tipo_id"><?=lang('ges_tipoDocumento')?></label>
					  <select id="tipo_id" name="tipo_id" class="form-control" >
						<option value="0" <?php echo set_select('tipo_id', '',TRUE); ?>><?=lang('ges_eligeTipoDocumento')?></option>
						 <?php foreach ($listaTiposDocumento as $item){?>      							
							  <option value="<?=$item->COD_ID ?>" <?php echo set_select('tipo_id',$item->COD_ID); ?> ><?=$item->COD_ID ?>-<?=$item->DESCRIPCION?></option>
						<?php }?>   
					  </select>					                                                                 
					</div>
					
					
				</div>
				 
			</div>
		
			<div class="row">
				<div class="col-md-1">
				</div>
				<div class="col-md-3">	 
					<div class="form-group">
						<label for="user_id"> <?=lang('ges_documento')?> </label>
						<input id="user_id" name="user_id" class="form-control" type="text" value="<?php echo set_value('user_id'); ?>" />
					</div>	
				</div>
				
			</div>	
			<div class="row">
				<div class="col-md-1">
				</div>	
				<div class="col-md-3">	 
				<button type="submit" class="btn btn-default btn-primary"> <span class="glyphicon glyphicon-search"></span> <?=lang('ges_buscar')?> </button>
				</div>
			</div>	
	    </div>  <!-- panel body fin -->
    </div>  <!-- panel -->
	</form>

</div> <!-- container -->


                   
