
<script type="text/javascript">	
jQuery.extend( jQuery.fn.dataTableExt.oSort, {
    "date-euro-pre": function ( a ) {
        var x;
 
        if ( $.trim(a) !== '' ) {
            var frDatea = $.trim(a).split(' ');
            var frTimea = frDatea[1].split(':');
            var frDatea2 = frDatea[0].split('/');
            x = (frDatea2[2] + frDatea2[1] + frDatea2[0] + frTimea[0] + frTimea[1] + frTimea[2]) * 1;
        }
        else {
            x = Infinity;
        }
 
        return x;
    },
 
    "date-euro-asc": function ( a, b ) {
        return a - b;
    },
 
    "date-euro-desc": function ( a, b ) {
        return b - a;
    }
} );

	var asInitVals = new Array();
	 	 		
    $(document).ready(function(){
	
			//Cargo  el menú de listados
			$('#listados').load('<?php echo site_url('listados/menuGestor')?>');
			
			var nCloneTh = document.createElement( 'th' );
			var nCloneTd = document.createElement( 'td' );
			
			var img = "<?php echo '<img src=\"'.base_url('/resources/imgs/details_open.png').'\">'?>" ;		

			nCloneTd.innerHTML = img;
			nCloneTd.className = "center";
			
          			 
			$('#solicitudes thead tr').each( function () {
				this.insertBefore( nCloneTh, this.childNodes[0] );				
			} );
			 
			$('#solicitudes tbody tr').each( function () {
				this.insertBefore(  nCloneTd.cloneNode( true ), this.childNodes[0] );
			} );
			/* Boton +*/
			
			var ficheroidioma= "";
			var idioma = "<?php echo $this->session->userdata('idioma') ?>";
			
			if (idioma == 'english'  ) {
				ficheroidioma = "<?php echo base_url('/jquery/datatable.english.txt') ?>";	    
			}
			else {
				ficheroidioma = "<?php echo base_url('/jquery/datatable.spanish.txt') ?>";
			}
			
			var oTable = $('#solicitudes').dataTable( {
			
			        /* pruebas*/
			       
				    "fnInitComplete": function () {
					 
						$("div.toolbar").html('<a href="<?=site_url('gestor/nuevaPreinscripcion')?>" class="btn btn-primary btn-sm" role="button"><span class="glyphicon glyphicon-user"> <?=lang('ges_insertar')?></span></a>');
						
					},
					
					 /* pruebas*/
					// boton a la izq y mostra X regisgtros abajo
					//"sDom": '<"toolbar">frtipl',	  
                    // mostrar reg   boton   buscar		justo al ras de la tabla			
					//"sDom": 'lf<"toolbar">rtip><"clear">',
					 // mostrar reg   boton   buscar  justo al ras de la tabla pero metido en recuadro
					//"sDom": '<"bottom"lf<"toolbar"><>>rtip><"clear">',	
					 // mostrar reg   boton  y pelin por debajo buscar		
			         "sDom": '<l><"toolbar"><frtip>',	
				
             		
					"bStateSave": true, //para guardar el estado en una cookie
					
					"sPaginationType": "full_numbers",		          
					"oLanguage": {
						"sUrl": ficheroidioma
						},							   
					/* Boton +*/
					"aoColumnDefs": [
					{ "bSortable": false, "aTargets": [ 0 ] }				
					],
					
					
					"aaSorting": [[5, 'desc']],
					/* Boton +*/			
				
					/* añadir enlaces de acciones*/	
					"aoColumns": [
						{ "sClass": "center", "bSortable": false },
						null,
						null,
						null,				
						null,
						{ "sType": "date-euro" },
						null,						
						null,
						{
							"bSortable": false,
							"sClass": "center"				
						},
						{
							"bSortable": false,
							"mData": null,
							"sClass": "center",
							"sDefaultContent": '<a href="" class="editor_ops"  id="tooltipExtranjeros"  rel="tooltip" title="<?=lang('ges_opcionesExtranjeros')?>"><span class="glyphicon glyphicon-flag"></span></a>'
						},
						{
							"bSortable": false,
							"mData": null,
							"sClass": "center",
							"sDefaultContent": '<a href="" class="historia_ver"  id="tooltipHistoria"  rel="tooltip" title="<?=lang('ges_verHistoria')?>"><span class="glyphicon glyphicon-film"></span></a>'
						},
						{
							"bSortable": false,
							"mData": null,
							"sClass": "center",
							"sDefaultContent": '<a href="" class="editor_ver"  id="tooltipEspera"  rel="tooltip" title="<?=lang('ges_verSolicitud')?>"><span class="glyphicon glyphicon-eye-open"></span></a>'
						}
					]
					/* añadir enlaces de acciones*/	
				
				} );
		
			
			// PULSAR ENLACE VER
			$('#solicitudes').on('click', 'a.editor_ver', function (e) {
				var usuarioelegido = $.trim($(this).parents("tr").find("td").eq(1).html());			 
				var href="<?=site_url('solicitanteresumen/resumen')?>"+"/"+<?=$anoacademico?>+"/"+<?=$convocatoria?>+"/uid/"+usuarioelegido;
				
				$("a").attr("href", href);
			});	
			
			// PULSAR ENLACE HISTORIA
			$('#solicitudes').on('click', 'a.historia_ver', function (e) {
				var usuarioelegido = $.trim($(this).parents("tr").find("td").eq(1).html());			 
				var href="<?=site_url('gestor/historialsolicitud')?>"+"/"+<?=$anoacademico?>+"/"+<?=$convocatoria?>+"/"+usuarioelegido;
				
				$("a").attr("href", href);
			});	
						
			
			// RECARGAR LA PROPIA PÁGINA
			$('#solicitudes').on('click', 'a.editor_ops', function (e) {
				var usuarioelegido = $.trim($(this).parents("tr").find("td").eq(1).html());			 
				var href="<?=site_url('gestor/ver_operaciones')?>"+"/"+<?=$anoacademico?>+"/"+<?=$convocatoria?>+"/"+usuarioelegido;
				
				$("a").attr("href", href);
			});
			
					
			
			/* Boton +*/
			$('#solicitudes tbody td img').click(function () {
				var nTr = $(this).parents('tr')[0];
				if ( oTable.fnIsOpen(nTr) )
				{
					// This row is already open - close it 
					var img = "<?php echo base_url('/resources/imgs/details_open.png')?>" ;	           
					this.src = img;
					oTable.fnClose( nTr );
				}
				else
				{
					//Open this row 
					var img = "<?php echo base_url('/resources/imgs/details_close.png')?>" ;	           
					this.src = img;
					oTable.fnOpen( nTr, fnFormatDetails(oTable, nTr), 'details' );
				}
			} );
			/* Boton +*/
				
				
			/* buscar por columnas*/
			$("tfoot input").keyup( function () {
				
				oTable.fnFilter( this.value, $("tfoot input").index(this) );
			} );
				 
			/*
			 * Support functions to provide a little bit of 'user friendlyness' to the textboxes in
			 * the footer
			 */
			$("tfoot input").each( function (i) {
				asInitVals[i] = this.value;
			} );
			 
			$("tfoot input").focus( function () {
				if ( this.className == "search_init" )
				{
					this.className = "";
					this.value = "";
				}
			} );
			 
			$("tfoot input").blur( function (i) {
				if ( this.value == "" )
				{
					this.className = "search_init";
					this.value = asInitVals[$("tfoot input").index(this)];
				}
			} );
			/*buscar por columnas*/	
			
			$(function () {				
					 $('a[id*=tooltip]').tooltip();
						  
			});	
			
		
			//limpiar la celda	
			$('.noextra').html('');			
			$('.nosoli').html('');
	
		    $("#grabar").click(function() { //para grabar excluir y bloqueo solicitante....
			  
			   var fields = $('select', oTable.fnGetNodes()).serializeArray();
			
			   var conferences = new Array();    // object Array

			   jQuery.each(fields, function(i, field){		  
				   conferences.push( {dni:field.name,excluido: field.value});
				   //alert(field.name+' '+ field.value);
		 
			   });

			   $('#strExcluir').val(JSON.stringify(conferences)); 
			   
			   var fieldsBloqueo = $('input', oTable.fnGetNodes()).serializeArray();
			   
			   var conferencesBloqueo = new Array();    // object Array

			   jQuery.each(fieldsBloqueo, function(i, field){		  
				   conferencesBloqueo.push( {dni:field.name,bloqueo: field.value});
				   //alert(field.name+' '+ field.value);
		 
			   });
			   
			    $('#strBloquear').val(JSON.stringify(conferencesBloqueo)); 
				
			 } );	
			 
			 
			
		
    }); //end-document-ready  
   
   
    /* Boton +*/
	function fnFormatDetails ( oTable, nTr )
	{
		var aData = oTable.fnGetData( nTr );
		var sOut = '<table cellpadding="5" cellspacing="0" border="0" style="padding-left:50px;">';
		sOut += '<tr><td>Modificar: </td>';
		sOut += '<td> <a href=\"<?=site_url('solicitantedatospersonales/datospersonales/uid/')?>'+'/'+aData[1]+'\" class=\"btn btn-primary\" role=\"button\"><span class=\"glyphicon glyphicon-pencil\"> <?=lang('ges_datosPersonales')?></span></a></td>';
		sOut += '<td> <a href=\"<?=site_url('solicitantedatosacademicos/datosacademicos/uid/')?>'+'/'+aData[1]+'\" class=\"btn btn-primary\" role=\"button\"><span class=\"glyphicon glyphicon-pencil\"> <?=lang('ges_datosAcademicos')?></span></a></td>';
		sOut += '<td> <a href=\"<?=site_url('solicitanteopciones/opciones/uid/')?>'+'/'+aData[1]+'\" class=\"btn btn-primary\" role=\"button\"><span class=\"glyphicon glyphicon-pencil\"> <?=lang('ges_opciones')?></span></a></td>';
		sOut += '<td> <a href=\"<?=site_url('solicitanteupload/index/uid/')?>'+'/'+aData[1]+'\" class=\"btn btn-primary\" role=\"button\"><span class=\"glyphicon glyphicon-pencil\"> <?=lang('ges_documentacion')?></span></a></td></tr>';
		sOut += '</table>';
		return sOut;
	}
	/* Boton +*/
	
	
	
</script>	



<div class="container">
<form id="form" role="form" method="post" action="<?php echo site_url('gestor/save_solicitudes')?>">

<input type="hidden" id="strExcluir" name="strExcluir" value="" /> 
<input type="hidden" id="strBloquear" name="strBloquear" value="" /> 


<div class="row" >

	<div class="panel-group" id="accordion">
	  <div class="panel panel-default">
		<div class="panel-heading">
		  <h4 class="panel-title">
			<a data-toggle="collapse" data-parent="#accordion" href="#collapseOne">
			  <span class="glyphicon glyphicon-plus"></span> <strong> <?=lang('ges_verInformes')?> </strong>
			</a>
		  </h4>
		</div>
		<div id="collapseOne" class="panel-collapse collapse ">
		  <div id="listados" class="panel-body">
		
		  </div>
		</div>
	  </div> 
	</div>

</div>
<div class="row">
	<div class="col-md-12">
	&nbsp;
	</div> 		
</div>				
      
			<table id="solicitudes" class="display">			
				<thead>	
				<tr>
					<th><?=lang('ges_dni')?></th>
					<th><?=lang('ges_ape1')?></th>
					<th><?=lang('ges_ape2')?></th>
					<th><?=lang('ges_nombre')?></th>
					<th><?=lang('ges_fechaModificacion')?></th>
					<th><?=lang('ges_estado')?></th>
					<th><?=lang('ges_exclusion')?></th>
					<th><?=lang('ges_bloqueo')?></th>								
					<th></th>
					<th></th>
					<th></th>
				</tr>	
				</thead>

				<tbody>
				<?php foreach ($preinscripcioneslist as $preinscripcion) {?>
				<?php if ($preinscripcion->COD_EXCLUSION!='0') { ?>				     
					   <tr style="color:red">
				<?php }else  { ?>	 				         
				     <tr>
				<?php } ?>
				
					<td><?=$preinscripcion->DNI_PASAPORTE?></td>
					<td><?=$preinscripcion->APE1_ALUMNO?></td>
					<td><?=$preinscripcion->APE2_ALUMNO?></td>
					<td><?=$preinscripcion->NOMB_ALUMNO?></td>	  
                    <td width="180"><?=$preinscripcion->FECHA?></td>
                    <?php if ($preinscripcion->DOCUMENTACION_COMPLETA=='S') { ?>						
					    <td width="90"><strong><?=$preinscripcion->PROGRESO?>  <span class="glyphicon glyphicon-briefcase" id="tooltipDocCompleta"  rel="tooltip" title="<?=lang('ges_documentacionCompleta')?>"></span></strong></td>	
					<?php } else { ?>	
					    <td><strong><?=$preinscripcion->PROGRESO?></strong></td>
					<?php }  ?>	
					<td width="172">							
								  
							<select id="<?=$preinscripcion->DNI_PASAPORTE?>" name="<?=$preinscripcion->DNI_PASAPORTE?>"  size="1" class="form-control" >                                            						    	 
								 <option value="0" <?php if ($preinscripcion->COD_EXCLUSION==0){echo "selected";} ?>>------</option>
								 <?php if  (!empty($listaMotivos)) { ?> 
									  <?php foreach ($listaMotivos as $motivo){?>    
										 <?php echo $selected=($preinscripcion->COD_EXCLUSION==$motivo->CODIGO) ? TRUE :''?>                                            										
										 <option value="<?=$motivo->CODIGO ?>" <?php if ($preinscripcion->COD_EXCLUSION==$motivo->CODIGO){echo "selected";} ?> ><?=$motivo->DESCRIPCION?></option>
									 <?php }?> 
								 <?php }?> 
							 </select>
						
					</td>
					<?php if (substr($preinscripcion->PROGRESO,0,3)=='PAO') {$soli="sisoli";} else {$soli="nosoli";}?>				
                    <td class="center <?=$soli?>">				                             
					   <input type="checkbox" id="bloqueo<?=$preinscripcion->DNI_PASAPORTE?>" name="<?=$preinscripcion->DNI_PASAPORTE?>" value="1" <?php if ($preinscripcion->NIVEL_BLOQUEO=='1'){echo "checked";} ?> >
					</td>		
                    <?php if ($preinscripcion->COD_ESTUDIOS_MEC=='90990000000') {$extra="siextra";} else {$extra="noextra";}?>				
					<td class="center <?=$extra?>"></td>
					<td class="center"></td>
					<td class="center"></td>					
				</tr>
				<?php }?>
				</tbody>
				<tfoot>
				  <tr>
					<th colspan="1" rowspan="1">
						         <input type="hidden" name="search" value="" class="search_init" type="text">
					</th>
					
					<th rowspan="1" colspan="1">
						<input class="search_init" type="text" value="<?=lang('ges_buscar')?>" name="search_dni">
					</th>
					<th rowspan="1" colspan="1">
						<input class="search_init" type="text" value="<?=lang('ges_buscar')?>" name="search_ape1_alumno">
					</th>
					<th rowspan="1" colspan="1">
						<input class="search_init" type="text" value="<?=lang('ges_buscar')?>" name="search_ape2_alumno">
					</th>
					<th rowspan="1" colspan="1">
						<input class="search_init" type="text" value="<?=lang('ges_buscar')?>" name="search_nombre">
					</th>		
                    <th rowspan="1" colspan="1">
						<input class="search_init" type="text" value="<?=lang('ges_buscar')?>" name="search_fecha">
					</th>	
                    <th rowspan="1" colspan="1">
						<input class="search_init" type="text" value="<?=lang('ges_buscar')?>" name="search_estado">
					</th>
                    <th colspan="1" rowspan="1">
					    
					</th>					
					<th colspan="1" rowspan="1">							    
				    </th>
					<th colspan="1" rowspan="1">							    
					</th>		
                    <th colspan="1" rowspan="1">							    
					</th>		
                    <th colspan="1" rowspan="1">							    
					</th>
					
				   </tr>
				</tfoot>
			</table>
			
			<br></br>
			<br></br>
			<div class="row">			
				<div align="center" class="col-md-5">
				</div>
				<div align="center" class="col-md-2">
					 <?php if  (!empty($preinscripcioneslist)) { ?>  
						<button class="btn btn-lg btn-primary btn-block" id="grabar" ><?=lang('soli_grabar')?></button> 
					  <?php } else { ?> 	
						<button class="btn btn-lg btn-primary btn-block" id="grabar" disabled><?=lang('soli_grabar')?></button> 
					  <?php }  ?> 				  
				</div>
			</div>	
			
 </form>

</div><!-- container -->

